## troffcvt 1.04+repack1

=== Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c /main/90 1996/11/13 14:43:23 lehors $

# -------------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>.
#
# Platform-specific parameters may be set in the appropriate .cf and
# .p-cf configuration files.  Site-wide parameters may be set in the
# files site.def and site.p-def.  Full rebuilds are recommended if
# any parameters are changed.

# -------------------------------------------------------------------------
# site-specific configuration parameters that need to come before the
# platform-specific parameters - edit site.def or site.p-def to change

# site:  Primate Center 89/12/22

# -------------------------------------------------------------------------
# platform-specific configuration parameters specific to this project
# edit hp.p-cf to change

# -------------------------------------------------------------------------
# platform-specific configuration parameters
# edit hp.cf to change

# platform:  hp.cf 95/07/15
# operating system:  HP-UX 9.05

# -------------------------------------------------------------------------
# site-specific configuration parameters that go after the
# platform-specific parameters - edit site.def or site.p-def to change

# site:  Primate Center 89/12/22

# -------------------------------------------------------------------------
# project-specific system and project description parameters
# Edit Imake.p-params to change

      HASVOIDTYPE = 1
      ETMVOIDTYPE = void

      ABORTSIGNAL = SIGABRT

# -------------------------------------------------------------------------
# Standard system and project description parameters
# Edit Imake.params to change

# -------------------------------------------------------------------------
# definitions common to all Makefiles

          PATHSEP = /

           MFLAGS = -$(MAKEFLAGS)

            SHELL = /bin/sh

  VARARGS_DEFINES =  -DVARARGS

              TOP = .
      CURRENT_DIR = .

# Configuration file identification - name and release level

         CONFIGNAME = WRPRC2
 CONFIGMAJORRELEASE = 2
 CONFIGMINORRELEASE = 10
      CONFIGRELEASE = $(CONFIGMAJORRELEASE).$(CONFIGMINORRELEASE)
      CONFIGROOTDIR = /usr/local/lib/config

# Project identfication - name and release level

        PROJECTNAME = Exception and Termination Manager
PROJECTMAJORRELEASE = 1
PROJECTMINORRELEASE = 09
     PROJECTRELEASE = $(PROJECTMAJORRELEASE).$(PROJECTMINORRELEASE)

           BINDIR = /usr/bin
        USRLIBDIR = /usr/lib
       LINTLIBDIR = $(USRLIBDIR)/lint

           ETCDIR = /usr/etc
      INCLUDEROOT = /usr/include
           TMPDIR = /tmp
     SPOOLROOTDIR = /usr/spool

     LOCALROOTDIR = /usr/local
      LOCALBINDIR = $(LOCALROOTDIR)/bin
   LOCALUSRLIBDIR = $(LOCALROOTDIR)/lib
  LOCALLINTLIBDIR = $(LOCALUSRLIBDIR)/lint
      LOCALADMDIR = $(LOCALROOTDIR)/adm
      LOCALETCDIR = $(LOCALROOTDIR)/etc
 LOCALINCLUDEROOT = $(LOCALROOTDIR)/include

          MANROOT = /usr/local/man
    MANSOURCEPATH = $(MANROOT)/man
       MAN1SUFFIX = 1
       MAN2SUFFIX = 2
       MAN3SUFFIX = 3
       MAN4SUFFIX = 4
       MAN5SUFFIX = 5
       MAN6SUFFIX = 6
       MAN7SUFFIX = 7
       MAN8SUFFIX = 8
       MANLSUFFIX = l
       MANNSUFFIX = n
        MANSUFFIX = $(MAN1SUFFIX)
          MAN1DIR = $(MANSOURCEPATH)$(MAN1SUFFIX)
          MAN2DIR = $(MANSOURCEPATH)$(MAN2SUFFIX)
          MAN3DIR = $(MANSOURCEPATH)$(MAN3SUFFIX)
          MAN4DIR = $(MANSOURCEPATH)$(MAN4SUFFIX)
          MAN5DIR = $(MANSOURCEPATH)$(MAN5SUFFIX)
          MAN6DIR = $(MANSOURCEPATH)$(MAN6SUFFIX)
          MAN7DIR = $(MANSOURCEPATH)$(MAN7SUFFIX)
          MAN8DIR = $(MANSOURCEPATH)$(MAN8SUFFIX)
          MANLDIR = $(MANSOURCEPATH)$(MANLSUFFIX)
          MANNDIR = $(MANSOURCEPATH)$(MANNSUFFIX)
           MANDIR = $(MANSOURCEPATH)$(MANSUFFIX)

           IMBOOT = imboot
           DEPEND = makedepend
             MSUB = msub
        MKDIRHIER = mkdirhier

               AR = ar clq
               CC = cc
              CPP = /lib/cpp $(STD_CPP_DEFINES)
               LD = ld
             LINT = lint
      LINTLIBFLAG = -o
         LINTOPTS = -ax -DSYSV
         LINTLIBS =
               LN = ln -s
             MAKE = make
               MV = mv -f
               CP = cp
              CMP = cmp

               RM = rm -f
             TAGS = ctags
             PERL = perl
         PERLPATH = $(LOCALBINDIR)/perl
            PERL5 = perl5
        PERL5PATH = $(LOCALBINDIR)/perl5
              AWK = awk
              SED = sed
             COMM = comm
              CAT = cat
             SORT = sort
             UNIQ = uniq
            CHMOD = chmod
            CHDIR = cd
     SENDMAILPATH = /usr/lib/sendmail

# Important local programs

              FIGEN = figen
             DISTAR = distar

# Standard system include file directories, defines, etc.

  STD_CPP_DEFINES =

     STD_INCLUDES = -I$(LOCALINCLUDEROOT)
      STD_DEFINES = -DSYSV
       STD_LDLIBS =
      STD_LDFLAGS = -L$(LOCALUSRLIBDIR)

# Project-specific include file directories, defines, etc.

 PROJECT_INCLUDES =
  PROJECT_DEFINES =
   PROJECT_LDLIBS =
  PROJECT_LDFLAGS =

  LOADERLIBPREFIX =
      CDEBUGFLAGS = -O
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(PROJECT_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(STD_DEFINES) $(PROJECT_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(ALLINCLUDES) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLINCLUDES) $(ALLDEFINES)
     EXTRA_LDLIBS = $(LDLIBS) $(PROJECT_LDLIBS) $(STD_LDLIBS)
           LDOPTS = $(CDEBUGFLAGS) $(CCOPTIONS) 			$(LDFLAGS) $(PROJECT_LDFLAGS) $(STD_LDFLAGS)

           RM_CMD = $(RM) *.CKP *.ln *.BAK *.bak *.o core errs ,* *.a .emacs_* tags TAGS make.log MakeOut

          INSTALL = install.sh
         INSTCOPY = -c
        INSTSTRIP = -s
        INSTOWNER =
        INSTGROUP =
     INSTPROGMODE = -m 0755
  INSTUIDPROGMODE = -m 04755
  INSTGIDPROGMODE = -m 02755
 INSTUGIDPROGMODE = -m 06755
   INSTSCRIPTMODE = -m 0755
      INSTLIBMODE = -m 0644
      INSTDATMODE = -m 0444
      INSTMANMODE = -m 0444
      INSTINCMODE = -m 0444
    INSTPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTPROGMODE) $(INSTSTRIP)
 INSTUIDPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTUIDPROGMODE) $(INSTSTRIP)
 INSTGIDPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTGIDPROGMODE) $(INSTSTRIP)
INSTUGIDPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTUGIDPROGMODE) $(INSTSTRIP)
  INSTSCRIPTFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTSCRIPTMODE)
     INSTLIBFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTLIBMODE)
     INSTDATFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTDATMODE)
     INSTMANFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTMANMODE)
     INSTINCFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTINCMODE)

           SOELIM = soelim
            TROFF = groff
            NROFF = nroff
              TBL = gtbl
              EQN = geqn
             NEQN = neqn
              PIC = pic
        MANMACROS = -man
         MEMACROS = -me
         MMMACROS = -mm
         MSMACROS = -mgs

# Library link and dependency specifiers

      BIBSTUFFLIB = -lbibstuff
   DEPBIBSTUFFLIB =
           ETMLIB = $(LOADERLIBPREFIX)$(TOP)/libetm.a
        DEPETMLIB = $(TOP)/libetm.a
           FPLLIB = -lfpl
        DEPFPLLIB =
           FQLLIB = -lfql
        DEPFQLLIB =
         GECOSLIB = -lgecos
      DEPGECOSLIB =
        LOGMGRLIB = -llogmgr
     DEPLOGMGRLIB =
        MEMMGRLIB = -lmemmgr
     DEPMEMMGRLIB =
           NDSLIB = -lnds
        DEPNDSLIB =
           NIOLIB = -lnio
        DEPNIOLIB =
         ORDERLIB = -lorder
      DEPORDERLIB =
        SEQNUMLIB = -lseqnum
     DEPSEQNUMLIB =
        SIMSCRLIB = -lsimscr
     DEPSIMSCRLIB =
           TFMLIB = -ltfm
        DEPTFMLIB =
            TSLIB = -ltokenscan
         DEPTSLIB =
          PORTLIB = -lport
       DEPPORTLIB =

# Makefile-generating commands and parameters

   IMBOOT_DEFINES =
       IMBOOT_CMD = $(IMBOOT) -C $(CONFIGNAME) $(IMBOOT_DEFINES)

# -------------------------------------------------------------------------
# Project-specific imake rules
# Edit Imake.p-rules to change

# -------------------------------------------------------------------------
# Standard imake rules
# Edit Imake.rules to change

# -------------------------------------------------------------------------
# start of Imakefile

# Exception and Termination Manager Makefile

# Use "make World" to build the distribution.  But before you do that,
# look at the files in the config subdirectory to see if you want
# to change anything.

# Requires imake, makedepend, mkdirhier, and the WRPRC2 imake
# configuration files.

LIBNAME = etm

DEFINES= $(VARARGS_DEFINES) $(SIGNAL_DEFINES) -DHASVOIDTYPE=$(HASVOIDTYPE)

LIBSRCS = etm.c
LIBOBJS = etm.o

TESTSRCS = etmtest.c
TESTOBJS = etmtest.o

SRCS = $(LIBSRCS) $(TESTSRCS)

all::

.c.o:
	$(RM) $@
	$(CC) -c $(CFLAGS) $*.c

all:: lib$(LIBNAME).a
lib$(LIBNAME).a: $(LIBOBJS)
	$(RM) $@
	$(AR) $@ $(LIBOBJS)

clean::
	$(RM) lib$(LIBNAME).a

lint:: lint.lib$(LIBNAME).a
lint.lib$(LIBNAME).a:
	$(LINT) $(LINTFLAGS) $(LIBSRCS) $(LINTLIBS)

help_aux::
	@echo "'make "lint.lib$(LIBNAME).a"' to "lint sources for lib$(LIBNAME).a

help_aux::
	@echo "'make "lib$(LIBNAME).a"' to "build the lib$(LIBNAME).a library

install:: i.lib$(LIBNAME).a

help_aux::
	@echo "'make "i.lib$(LIBNAME).a"' to "install lib$(LIBNAME).a
i.lib$(LIBNAME).a:: lib$(LIBNAME).a
	@if [ -d $(LOCALUSRLIBDIR) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(LOCALUSRLIBDIR)); fi
	$(INSTALL) $(INSTLIBFLAGS) lib$(LIBNAME).a $(LOCALUSRLIBDIR)/lib$(LIBNAME).a

lintlib:: llib-l$(LIBNAME).ln

llib-l$(LIBNAME).ln:: $(LIBSRCS)
	$(RM) $@
	$(LINT) $(LINTLIBFLAG)$(LIBNAME) $(LINTFLAGS) $(LIBSRCS)

clean::
	$(RM) llib-l$(LIBNAME).ln

help_aux::
	@echo "'make "llib-l$(LIBNAME).ln"' to "build the llib-l$(LIBNAME).ln lint library

install.lint:: i.llib-l$(LIBNAME).ln

help_aux::
	@echo "'make "i.llib-l$(LIBNAME).ln"' to "install llib-l$(LIBNAME).ln
i.llib-l$(LIBNAME).ln:: llib-l$(LIBNAME).ln
	@if [ -d $(LOCALLINTLIBDIR) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(LOCALLINTLIBDIR)); fi
	$(INSTALL) $(INSTLIBFLAGS) llib-l$(LIBNAME).ln $(LOCALLINTLIBDIR)/llib-l$(LIBNAME).ln

#	Header file stuff

# The trouble with regenerating etm.h directly from etm.h.dist is that it
# triggers excessive recompiles.  Therefore, an intermediary file is
# generated and compared with etm.h.  If they don't differ, etm.h isn't
# updated.  Similarly for etm.internal.h.

all:: etm.h
etm.h:: etm.h.dist
	$(MAKE) $(MFLAGS) etm.h.new
	-@$(CMP) -s etm.h etm.h.new; \
	if [ $$? -ne 0 ]; then \
	echo "$(MV) "etm.h.new etm.h; \
	$(MV) etm.h.new etm.h; \
	echo etm.h" updated"; \
	else \
	echo etm.h" not updated." ; \
	fi

clean::
	$(RM) etm.h

help_aux::
	@echo "'make "etm.h"' to "build etm.h

install:: i.etm.h

help_aux::
	@echo "'make "i.etm.h"' to "install etm.h
i.etm.h:: etm.h
	@if [ -d $(LOCALINCLUDEROOT) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(LOCALINCLUDEROOT)); fi
	$(INSTALL) $(INSTINCFLAGS) etm.h $(LOCALINCLUDEROOT)/etm.h
depend:: etm.h

all:: etm.h.new
etm.h.new:: etm.h.dist
	$(RM) $@
	$(MSUB) etm.h.dist > $@

clean::
	$(RM) etm.h.new

help_aux::
	@echo "'make "etm.h.new"' to "build etm.h.new

all:: etm.internal.h
etm.internal.h:: etm.internal.h.dist
	$(MAKE) $(MFLAGS) etm.internal.h.new
	-@$(CMP) -s etm.internal.h etm.internal.h.new; \
	if [ $$? -ne 0 ]; then \
	echo "$(MV) "etm.internal.h.new etm.internal.h; \
	$(MV) etm.internal.h.new etm.internal.h; \
	echo etm.internal.h" updated"; \
	else \
	echo etm.internal.h" not updated." ; \
	fi

clean::
	$(RM) etm.internal.h

help_aux::
	@echo "'make "etm.internal.h"' to "build etm.internal.h

install:: i.etm.internal.h
i.etm.internal.h::
	@echo etm.internal.h is not installed anywhere.
depend:: etm.internal.h

all:: etm.internal.h.new
etm.internal.h.new:: etm.internal.h.dist

=== config/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c /main/90 1996/11/13 14:43:23 lehors $

# -------------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>.
#
# Platform-specific parameters may be set in the appropriate .cf and
# .p-cf configuration files.  Site-wide parameters may be set in the
# files site.def and site.p-def.  Full rebuilds are recommended if
# any parameters are changed.

# -------------------------------------------------------------------------
# site-specific configuration parameters that need to come before the
# platform-specific parameters - edit site.def or site.p-def to change

# site:  Primate Center 89/12/22

# -------------------------------------------------------------------------
# Set the OS name and version macros if imake has defined them

# -------------------------------------------------------------------------
# platform-specific configuration parameters specific to this project
# edit sun.p-cf to change

# -------------------------------------------------------------------------
# platform-specific configuration parameters
# edit sun.cf to change

# platform:  sun.cf	96/06/21
# operating system:  SunOS 5.5 Generic sun4u

# -------------------------------------------------------------------------
# site-specific configuration parameters that go after the
# platform-specific parameters - edit site.def or site.p-def to change

# site:  Primate Center 89/12/22

# -------------------------------------------------------------------------
# project-specific system and project description parameters
# Edit Imake.p-params to change

# -------------------------------------------------------------------------
# Standard system and project description parameters
# Edit Imake.params to change

# -------------------------------------------------------------------------
# definitions common to all Makefiles

          PATHSEP = /

            SHELL = /bin/sh

  VARARGS_DEFINES = -DSTDARG -DVARARGS

              TOP = ../.
      CURRENT_DIR = ./config

# Configuration file identification - name and release level

         CONFIGNAME = WRPRC2
 CONFIGMAJORRELEASE = 2
 CONFIGMINORRELEASE = 11
      CONFIGRELEASE = $(CONFIGMAJORRELEASE).$(CONFIGMINORRELEASE)
      CONFIGROOTDIR = /usr/local/lib/config

# Project identfication - name and release level

        PROJECTNAME = no-project-name
PROJECTMAJORRELEASE = 0
PROJECTMINORRELEASE = 00
     PROJECTRELEASE = $(PROJECTMAJORRELEASE).$(PROJECTMINORRELEASE)

           BINDIR = /usr/bin
        USRLIBDIR = /usr/lib
       LINTLIBDIR = $(USRLIBDIR)/lint

           ETCDIR = /usr/etc
      INCLUDEROOT = /usr/include
           TMPDIR = /tmp
     SPOOLROOTDIR = /var/spool

     LOCALROOTDIR = /usr/local
      LOCALBINDIR = $(LOCALROOTDIR)/bin
   LOCALUSRLIBDIR = $(LOCALROOTDIR)/lib
  LOCALLINTLIBDIR = $(LOCALUSRLIBDIR)/lint
      LOCALADMDIR = $(LOCALROOTDIR)/adm
      LOCALETCDIR = $(LOCALROOTDIR)/etc
 LOCALINCLUDEROOT = $(LOCALROOTDIR)/include

          MANROOT = /usr/local/man
    MANSOURCEPATH = $(MANROOT)/man
       MAN1SUFFIX = 1
       MAN2SUFFIX = 2
       MAN3SUFFIX = 3
       MAN4SUFFIX = 4
       MAN5SUFFIX = 5
       MAN6SUFFIX = 6
       MAN7SUFFIX = 7
       MAN8SUFFIX = 8
       MANLSUFFIX = l
       MANNSUFFIX = n
        MANSUFFIX = $(MAN1SUFFIX)
          MAN1DIR = $(MANSOURCEPATH)$(MAN1SUFFIX)
          MAN2DIR = $(MANSOURCEPATH)$(MAN2SUFFIX)
          MAN3DIR = $(MANSOURCEPATH)$(MAN3SUFFIX)
          MAN4DIR = $(MANSOURCEPATH)$(MAN4SUFFIX)
          MAN5DIR = $(MANSOURCEPATH)$(MAN5SUFFIX)
          MAN6DIR = $(MANSOURCEPATH)$(MAN6SUFFIX)
          MAN7DIR = $(MANSOURCEPATH)$(MAN7SUFFIX)
          MAN8DIR = $(MANSOURCEPATH)$(MAN8SUFFIX)
          MANLDIR = $(MANSOURCEPATH)$(MANLSUFFIX)
          MANNDIR = $(MANSOURCEPATH)$(MANNSUFFIX)
           MANDIR = $(MANSOURCEPATH)$(MANSUFFIX)

           IMBOOT = imboot
           DEPEND = makedepend
             MSUB = msub
        MKDIRHIER = mkdirhier

               AR = ar cq
               CC = cc
              CPP = /lib/cpp $(STD_CPP_DEFINES)
               LD = ld
             LINT = lint
      LINTLIBFLAG = -o
         LINTOPTS = -bh
         LINTLIBS =
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp
              CMP = cmp

               RM = rm -f
             TAGS = ctags
             PERL = perl
         PERLPATH = $(LOCALBINDIR)/perl
            PERL5 = perl5
        PERL5PATH = $(LOCALBINDIR)/perl5
              AWK = awk
              SED = sed
             COMM = comm
              CAT = cat
              COL = col
             SORT = sort
             UNIQ = uniq
            CHMOD = chmod
            CHDIR = cd
     SENDMAILPATH = /usr/lib/sendmail

# Important local programs

              FIGEN = figen
             DISTAR = distar

# Standard system include file directories, defines, etc.

  STD_CPP_DEFINES =

     STD_INCLUDES = -I$(LOCALINCLUDEROOT)
      STD_DEFINES = -Dsun -DSVR4
       STD_LDLIBS = -lsocket -lnsl -lw
      STD_LDFLAGS = -L$(LOCALUSRLIBDIR)

# Project-specific include file directories, defines, etc.

 PROJECT_INCLUDES =
  PROJECT_DEFINES =
   PROJECT_LDLIBS =
  PROJECT_LDFLAGS =

  LOADERLIBPREFIX =
      CDEBUGFLAGS = -O
        CCOPTIONS = -Xc

      ALLINCLUDES = $(INCLUDES) $(PROJECT_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(STD_DEFINES) $(PROJECT_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(ALLINCLUDES) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLINCLUDES) $(ALLDEFINES)
     EXTRA_LDLIBS = $(LDLIBS) $(PROJECT_LDLIBS) $(STD_LDLIBS)
           LDOPTS = $(CDEBUGFLAGS) $(CCOPTIONS) \
			$(LDFLAGS) $(PROJECT_LDFLAGS) $(STD_LDFLAGS)

           RM_CMD = $(RM) *.CKP *.ln *.BAK *.bak *.o core errs ,* *.a .emacs_* tags TAGS make.log MakeOut

          INSTALL = /usr/ucb/install
         INSTCOPY = -c
        INSTSTRIP = -s
        INSTOWNER =
        INSTGROUP =
     INSTPROGMODE = -m 0755
  INSTUIDPROGMODE = -m 04755
  INSTGIDPROGMODE = -m 02755
 INSTUGIDPROGMODE = -m 06755
   INSTSCRIPTMODE = -m 0755
      INSTLIBMODE = -m 0644
      INSTDATMODE = -m 0444
      INSTMANMODE = -m 0444
      INSTINCMODE = -m 0444
    INSTPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTPROGMODE) $(INSTSTRIP)
 INSTUIDPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTUIDPROGMODE) $(INSTSTRIP)
 INSTGIDPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTGIDPROGMODE) $(INSTSTRIP)
INSTUGIDPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTUGIDPROGMODE) $(INSTSTRIP)
  INSTSCRIPTFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTSCRIPTMODE)
     INSTLIBFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTLIBMODE)
     INSTDATFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTDATMODE)
     INSTMANFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTMANMODE)
     INSTINCFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTINCMODE)

           SOELIM = soelim
            TROFF = groff
            NROFF = nroff
              TBL = gtbl
              EQN = geqn
             NEQN = neqn
              PIC = pic
        MANMACROS = -man
         MEMACROS = -me
         MMMACROS = -mm
         MSMACROS = -ms
       MDOCMACROS = -mdoc
         TROFFCVT = troffcvt
           TBLCVT = tblcvt
       TROFF2HTML = troff2html
        TROFF2RTF = troff2rtf
           UNROFF = unroff
      TCMANMACROS = -man
       TCMEMACROS = -me
       TCMMMACROS = -mm
       TCMSMACROS = -ms
     TCMDOCMACROS = -mdoc

# Library link and dependency specifiers

      BIBSTUFFLIB = -lbibstuff
   DEPBIBSTUFFLIB =
           ETMLIB = -letm
        DEPETMLIB =
           FPLLIB = -lfpl
        DEPFPLLIB =
           FQLLIB = -lfql
        DEPFQLLIB =
         GECOSLIB = -lgecos
      DEPGECOSLIB =
        LOGMGRLIB = -llogmgr
     DEPLOGMGRLIB =
        MEMMGRLIB = -lmemmgr
     DEPMEMMGRLIB =
           NDSLIB = -lnds
        DEPNDSLIB =
           NIOLIB = -lnio
        DEPNIOLIB =
         ORDERLIB = -lorder
      DEPORDERLIB =
        SEQNUMLIB = -lseqnum
     DEPSEQNUMLIB =
        SIMSCRLIB = -lsimscr
     DEPSIMSCRLIB =
           TFMLIB = -ltfm
        DEPTFMLIB =
            TSLIB = -ltokenscan
         DEPTSLIB =
          PORTLIB = -lport
       DEPPORTLIB =

# Makefile-generating commands and parameters

   IMBOOT_DEFINES =
       IMBOOT_CMD = $(IMBOOT) -C $(CONFIGNAME) $(IMBOOT_DEFINES)

# -------------------------------------------------------------------------
# Project-specific imake rules
# Edit Imake.p-rules to change

# -------------------------------------------------------------------------
# Standard imake rules
# Edit Imake.rules to change

# -------------------------------------------------------------------------
# start of Imakefile

CFFILES = README Imake.tmpl \
	Imake.params Imake.p-params \
	Imake.rules Imake.p-rules \
	site.def site.p-def \
	*.cf *.p-cf
INSTALLDIR = $(CONFIGROOTDIR)/$(CONFIGNAME)

all::

install::
	@if [ -d $(INSTALLDIR) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(INSTALLDIR)); fi
	@case '${MFLAGS}' in *[ik]*) set +e;; esac; \
	for i in $(CFFILES) ;\
	do \
	(set -x; $(INSTALL) $(INSTDATFLAGS) $$i $(INSTALLDIR)/$$i); \
	done

help_aux::
	@echo "'make "install"' to "install $(CFFILES)

test::
	@echo "AdmDir: "/usr/adm
	@echo "ArCmd: "ar cq
	@echo "AsCmd: "as
	@echo "AwkCmd: "awk
	@echo "BibStuffLib: "-lbibstuff
	@echo "BinDir: "/usr/bin
	@echo "BourneShell: "/bin/sh
	@echo "CURDIR: "./config
	@echo "CatCmd: "cat
	@echo "CcCmd: "cc
	@echo "ChdirCmd: "cd
	@echo "ChmodCmd: "chmod
	@echo "CmpCmd: "cmp
	@echo "CommCmd: "comm
	@echo "ConfigMajorRelease: "2
	@echo "ConfigMinorRelease: "11
	@echo "ConfigName: "WRPRC2
	@echo "ConfigRelease: "$(CONFIGMAJORRELEASE).$(CONFIGMINORRELEASE)
	@echo "ConfigRootDir: "/usr/local/lib/config
	@echo "ConstructMFLAGS: "0
	@echo "CpCmd: "cp
	@echo "CppCmd: "/lib/cpp
	@echo "DefaultCCOptions: "-Xc
	@echo "DefaultCDebugFlags: "-O
	@echo "DepBibStuffLib: "
	@echo "DepEtmLib: "
	@echo "DepFplLib: "
	@echo "DepFqlLib: "
	@echo "DepGecosLib: "
	@echo "DepLogMgrLib: "
	@echo "DepMemMgrLib: "
	@echo "DepNdsLib: "
	@echo "DepNioLib: "
	@echo "DepOrderLib: "
	@echo "DepSeqNumLib: "
	@echo "DepSimScrLib: "
	@echo "DepTsLib: "
	@echo "DependCmd: "makedepend
	@echo "DistarCmd: "distar
	@echo "EqnCmd: "geqn
	@echo "EtcDir: "/usr/etc
	@echo "EtmLib: "-letm
	@echo "FigenCmd: "figen
	@echo "FilesToClean: "*.CKP *.ln *.BAK *.bak *.o core errs ,* *.a .emacs_* tags TAGS make.log MakeOut
	@echo "FplLib: "-lfpl
	@echo "FqlLib: "-lfql
	@echo "GecosLib: "-lgecos
	@echo "HasExecableScripts: "1
	@echo "HasGcc2: "0
	@echo "HasGcc: "0
	@echo "HasRanlibCmd: "0
	@echo "HasSoelim: "1
	@echo "HasStdarg: "1
	@echo "HasSymLinks: "1
	@echo "HasUnistdH: "1
	@echo "HasVFork: "0
	@echo "HasVarargs: "1
	@echo "HasVoidSignalReturn: "1
	@echo "ImbootCmd: "imboot
	@echo "IncludeRoot: "/usr/include
	@echo "InstCopy: "-c
	@echo "InstDatFlags: "$(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTDATMODE)
	@echo "InstDatMode: "-m 0444
	@echo "InstGidProgFlags: "$(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTGIDPROGMODE) $(INSTSTRIP)
	@echo "InstGidProgMode: "-m 02755
	@echo "InstGroup: "
	@echo "InstIncFlags: "$(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTINCMODE)
	@echo "InstIncMode: "-m 0444
	@echo "InstLibFlags: "$(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTLIBMODE)
	@echo "InstLibMode: "-m 0644
	@echo "InstManFlags: "$(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTMANMODE)
	@echo "InstManMode: "-m 0444
	@echo "InstOwner: "
	@echo "InstProgFlags: "$(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTPROGMODE) $(INSTSTRIP)
	@echo "InstProgMode: "-m 0755
	@echo "InstScriptFlags: "$(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTSCRIPTMODE)
	@echo "InstScriptMode: "-m 0755
	@echo "InstStrip: "-s
	@echo "InstUGidProgFlags: "$(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTUGIDPROGMODE) $(INSTSTRIP)
	@echo "InstUGidProgMode: "-m 06755

=== doc/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c /main/90 1996/11/13 14:43:23 lehors $

# -------------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>.
#
# Platform-specific parameters may be set in the appropriate .cf and
# .p-cf configuration files.  Site-wide parameters may be set in the
# files site.def and site.p-def.  Full rebuilds are recommended if
# any parameters are changed.

# -------------------------------------------------------------------------
# site-specific configuration parameters that need to come before the
# platform-specific parameters - edit site.def or site.p-def to change

# site:  Primate Center 89/12/22

# -------------------------------------------------------------------------
# Set the OS name and version macros if imake has defined them

# -------------------------------------------------------------------------
# platform-specific configuration parameters specific to this project
# edit sun.p-cf to change

# -------------------------------------------------------------------------
# platform-specific configuration parameters
# edit sun.cf to change

# platform:  sun.cf	96/06/21
# operating system:  SunOS 5.5 Generic sun4u

# -------------------------------------------------------------------------
# site-specific configuration parameters that go after the
# platform-specific parameters - edit site.def or site.p-def to change

# site:  Primate Center 89/12/22

# -------------------------------------------------------------------------
# project-specific system and project description parameters
# Edit Imake.p-params to change

           LIBDIR = $(LOCALUSRLIBDIR)/troffcvt
       PROJLIBDIR = $(LIBDIR)
      MACROLIBDIR = $(USRLIBDIR)/tmac
  MACROFILEPREFIX =

         STRING_H = <string.h>
 STRING_H_DEFINES = -D'STRING_H=$(STRING_H)'

       INCLUDESRC = $(TOP)/h
           LIBSRC = $(TOP)/lib
       LIBUNIXSRC = $(TOP)/libunix
        LIBMACSRC = $(TOP)/libmac
          UTILSRC = $(TOP)/util

           DOCSRC = $(TOP)/doc
           MANSRC = $(TOP)/man

         TCGENLIB = $(LOADERLIBPREFIX)$(LIBSRC)/libtcgen.a
      DEPTCGENLIB = $(LIBSRC)/libtcgen.a
        TCREADLIB = $(LOADERLIBPREFIX)$(LIBSRC)/libtcread.a
     DEPTCREADLIB = $(LIBSRC)/libtcread.a
        TCUNIXLIB = $(LOADERLIBPREFIX)$(LIBUNIXSRC)/libtcunix.a
     DEPTCUNIXLIB = $(LIBUNIXSRC)/libtcunix.a

# -------------------------------------------------------------------------
# Standard system and project description parameters
# Edit Imake.params to change

# -------------------------------------------------------------------------
# definitions common to all Makefiles

          PATHSEP = /

            SHELL = /bin/sh

  VARARGS_DEFINES = -DSTDARG -DVARARGS

              TOP = ../.
      CURRENT_DIR = ./doc

# Configuration file identification - name and release level

         CONFIGNAME = WRPRC2
 CONFIGMAJORRELEASE = 2
 CONFIGMINORRELEASE = 11
      CONFIGRELEASE = $(CONFIGMAJORRELEASE).$(CONFIGMINORRELEASE)
      CONFIGROOTDIR = /usr/local/lib/config

# Project identfication - name and release level

        PROJECTNAME = troffcvt
PROJECTMAJORRELEASE = 1
PROJECTMINORRELEASE = 04
     PROJECTRELEASE = $(PROJECTMAJORRELEASE).$(PROJECTMINORRELEASE)

           BINDIR = /usr/bin
        USRLIBDIR = /usr/lib
       LINTLIBDIR = $(USRLIBDIR)/lint

           ETCDIR = /usr/etc
      INCLUDEROOT = /usr/include
           TMPDIR = /usr/tmp
     SPOOLROOTDIR = /var/spool

     LOCALROOTDIR = /usr/local
      LOCALBINDIR = $(LOCALROOTDIR)/bin
   LOCALUSRLIBDIR = $(LOCALROOTDIR)/lib
  LOCALLINTLIBDIR = $(LOCALUSRLIBDIR)/lint
      LOCALADMDIR = $(LOCALROOTDIR)/adm
      LOCALETCDIR = $(LOCALROOTDIR)/etc
 LOCALINCLUDEROOT = $(LOCALROOTDIR)/include

          MANROOT = /usr/local/man
    MANSOURCEPATH = $(MANROOT)/man
       MAN1SUFFIX = 1
       MAN2SUFFIX = 2
       MAN3SUFFIX = 3
       MAN4SUFFIX = 4
       MAN5SUFFIX = 5
       MAN6SUFFIX = 6
       MAN7SUFFIX = 7
       MAN8SUFFIX = 8
       MANLSUFFIX = l
       MANNSUFFIX = n
        MANSUFFIX = $(MAN1SUFFIX)
          MAN1DIR = $(MANSOURCEPATH)$(MAN1SUFFIX)
          MAN2DIR = $(MANSOURCEPATH)$(MAN2SUFFIX)
          MAN3DIR = $(MANSOURCEPATH)$(MAN3SUFFIX)
          MAN4DIR = $(MANSOURCEPATH)$(MAN4SUFFIX)
          MAN5DIR = $(MANSOURCEPATH)$(MAN5SUFFIX)
          MAN6DIR = $(MANSOURCEPATH)$(MAN6SUFFIX)
          MAN7DIR = $(MANSOURCEPATH)$(MAN7SUFFIX)
          MAN8DIR = $(MANSOURCEPATH)$(MAN8SUFFIX)
          MANLDIR = $(MANSOURCEPATH)$(MANLSUFFIX)
          MANNDIR = $(MANSOURCEPATH)$(MANNSUFFIX)
           MANDIR = $(MANSOURCEPATH)$(MANSUFFIX)

           IMBOOT = imboot
           DEPEND = makedepend
             MSUB = msub
        MKDIRHIER = mkdirhier

               AR = ar cq
               CC = cc
              CPP = /lib/cpp $(STD_CPP_DEFINES)
               LD = ld
             LINT = lint
      LINTLIBFLAG = -o
         LINTOPTS = -bh
         LINTLIBS =
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp
              CMP = cmp

               RM = rm -f
             TAGS = ctags
             PERL = perl
         PERLPATH = $(LOCALBINDIR)/perl
            PERL5 = perl5
        PERL5PATH = $(LOCALBINDIR)/perl5
              AWK = awk
              SED = sed
             COMM = comm
              CAT = cat
              COL = col
             SORT = sort
             UNIQ = uniq
            CHMOD = chmod
            CHDIR = cd
     SENDMAILPATH = /usr/lib/sendmail

# Important local programs

              FIGEN = figen
             DISTAR = distar

# Standard system include file directories, defines, etc.

  STD_CPP_DEFINES =

     STD_INCLUDES = -I$(LOCALINCLUDEROOT)
      STD_DEFINES = -Dsun -DSVR4
       STD_LDLIBS = -lsocket -lnsl -lw
      STD_LDFLAGS = -L$(LOCALUSRLIBDIR)

# Project-specific include file directories, defines, etc.

 PROJECT_INCLUDES = -I. -I$(INCLUDESRC)
  PROJECT_DEFINES = $(VARARGS_DEFINES) $(STRING_H_DEFINES)
   PROJECT_LDLIBS =
  PROJECT_LDFLAGS =

  LOADERLIBPREFIX =
      CDEBUGFLAGS = -O
        CCOPTIONS = -Xc

      ALLINCLUDES = $(INCLUDES) $(PROJECT_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(STD_DEFINES) $(PROJECT_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(ALLINCLUDES) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLINCLUDES) $(ALLDEFINES)
     EXTRA_LDLIBS = $(LDLIBS) $(PROJECT_LDLIBS) $(STD_LDLIBS)
           LDOPTS = $(CDEBUGFLAGS) $(CCOPTIONS) \
			$(LDFLAGS) $(PROJECT_LDFLAGS) $(STD_LDFLAGS)

           RM_CMD = $(RM) *.CKP *.ln *.BAK *.bak *.o core errs ,* *.a .emacs_* tags TAGS make.log MakeOut

          INSTALL = /usr/ucb/install
         INSTCOPY = -c
        INSTSTRIP = -s
        INSTOWNER =
        INSTGROUP =
     INSTPROGMODE = -m 0755
  INSTUIDPROGMODE = -m 04755
  INSTGIDPROGMODE = -m 02755
 INSTUGIDPROGMODE = -m 06755
   INSTSCRIPTMODE = -m 0755
      INSTLIBMODE = -m 0644
      INSTDATMODE = -m 0444
      INSTMANMODE = -m 0444
      INSTINCMODE = -m 0444
    INSTPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTPROGMODE) $(INSTSTRIP)
 INSTUIDPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTUIDPROGMODE) $(INSTSTRIP)
 INSTGIDPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTGIDPROGMODE) $(INSTSTRIP)
INSTUGIDPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTUGIDPROGMODE) $(INSTSTRIP)
  INSTSCRIPTFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTSCRIPTMODE)
     INSTLIBFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTLIBMODE)
     INSTDATFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTDATMODE)
     INSTMANFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTMANMODE)
     INSTINCFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTINCMODE)

           SOELIM = soelim
            TROFF = groff
            NROFF = nroff
              TBL = gtbl
              EQN = geqn
             NEQN = neqn
              PIC = pic
        MANMACROS = -man
         MEMACROS = -me
         MMMACROS = -mm
         MSMACROS = -ms
       MDOCMACROS = -mdoc
         TROFFCVT = troffcvt
           TBLCVT = tblcvt
       TROFF2HTML = troff2html
        TROFF2RTF = troff2rtf
           UNROFF = unroff
      TCMANMACROS = -man
       TCMEMACROS = -me
       TCMMMACROS = -mm
       TCMSMACROS = -ms
     TCMDOCMACROS = -mdoc

# Library link and dependency specifiers

      BIBSTUFFLIB = -lbibstuff
   DEPBIBSTUFFLIB =
           ETMLIB = -letm
        DEPETMLIB =
           FPLLIB = -lfpl
        DEPFPLLIB =
           FQLLIB = -lfql
        DEPFQLLIB =
         GECOSLIB = -lgecos
      DEPGECOSLIB =
        LOGMGRLIB = -llogmgr
     DEPLOGMGRLIB =
        MEMMGRLIB = -lmemmgr
     DEPMEMMGRLIB =
           NDSLIB = -lnds
        DEPNDSLIB =
           NIOLIB = -lnio
        DEPNIOLIB =
         ORDERLIB = -lorder
      DEPORDERLIB =
        SEQNUMLIB = -lseqnum
     DEPSEQNUMLIB =
        SIMSCRLIB = -lsimscr
     DEPSIMSCRLIB =
           TFMLIB = -ltfm
        DEPTFMLIB =
            TSLIB = -ltokenscan
         DEPTSLIB =
          PORTLIB = -lport
       DEPPORTLIB =

# Makefile-generating commands and parameters

   IMBOOT_DEFINES =
       IMBOOT_CMD = $(IMBOOT) -C $(CONFIGNAME) $(IMBOOT_DEFINES)

# -------------------------------------------------------------------------
# Project-specific imake rules
# Edit Imake.p-rules to change

# -------------------------------------------------------------------------
# Standard imake rules
# Edit Imake.rules to change

# -------------------------------------------------------------------------
# start of Imakefile

# troffcvt documentation Makefile

all::

documents-ps:: troffcvt.ps actions.ps output.ps \
	bugs.ps tc2rtf.ps tc2html.ps tblcvt.ps groff.ps frontend.ps

documents-html:: troffcvt.html actions.html output.html \
	bugs.html tc2rtf.html tc2html.html tblcvt.html groff.html frontend.html

documents-text:: documents-txt
documents-txt:: troffcvt.txt actions.txt output.txt \
	bugs.txt tc2rtf.txt tc2html.txt tblcvt.txt groff.txt frontend.txt

documents-rtf:: troffcvt.rtf actions.rtf output.rtf \
	bugs.rtf tc2rtf.rtf tc2html.rtf tblcvt.rtf groff.rtf frontend.rtf

troffcvt.ps:: tmac.wrprc troffcvt.ms
	$(SOELIM) tmac.wrprc troffcvt.ms  | $(TROFF) $(MSMACROS) $(TROFFOPTS) > troffcvt.ps

clean::
	$(RM) troffcvt.ps

help_aux::
	@echo "'make "troffcvt.ps"' to "format troffcvt.ps in PostScript

troffcvt.html::
	$(SOELIM) troffcvt.ms  | $(TROFF2HTML) -ms tmac.wrprc -a tc.wrprc-html $(TROFFOPTS) - >troffcvt.html

clean::
	$(RM) troffcvt.html

help_aux::
	@echo "'make "troffcvt.html"' to "format troffcvt.html in HTML

troffcvt.txt::
	$(SOELIM) troffcvt.ms  | $(UNROFF) -ms tmac.wrprc $(TROFFOPTS) - > troffcvt.txt

clean::
	$(RM) troffcvt.txt

help_aux::
	@echo "'make "troffcvt.txt"' to "format troffcvt.txt in plain text

troffcvt.rtf:: troffcvt.ms
	$(SOELIM) troffcvt.ms  | $(TROFF2RTF) $(TCMSMACROS) tmac.wrprc $(TROFFOPTS)> troffcvt.rtf

clean::
	$(RM) troffcvt.rtf

actions.ps:: tmac.wrprc actions.ms
	$(SOELIM) tmac.wrprc actions.ms  | $(TROFF) $(MSMACROS) $(TROFFOPTS) > actions.ps

clean::
	$(RM) actions.ps

help_aux::
	@echo "'make "actions.ps"' to "format actions.ps in PostScript

actions.html::
	$(SOELIM) actions.ms  | $(TROFF2HTML) -ms tmac.wrprc -a tc.wrprc-html $(TROFFOPTS) - >actions.html

clean::
	$(RM) actions.html

help_aux::
	@echo "'make "actions.html"' to "format actions.html in HTML

actions.txt::
	$(SOELIM) actions.ms  | $(UNROFF) -ms tmac.wrprc $(TROFFOPTS) - > actions.txt

clean::
	$(RM) actions.txt

help_aux::
	@echo "'make "actions.txt"' to "format actions.txt in plain text

actions.rtf:: actions.ms
	$(SOELIM) actions.ms  | $(TROFF2RTF) $(TCMSMACROS) tmac.wrprc $(TROFFOPTS)> actions.rtf

clean::
	$(RM) actions.rtf

output.ps:: tmac.wrprc output.ms
	$(SOELIM) tmac.wrprc output.ms |$(TBL) | $(TROFF) $(MSMACROS) $(TROFFOPTS) > output.ps

clean::
	$(RM) output.ps

help_aux::

=== libunix/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c /main/90 1996/11/13 14:43:23 lehors $

# -------------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>.
#
# Platform-specific parameters may be set in the appropriate .cf and
# .p-cf configuration files.  Site-wide parameters may be set in the
# files site.def and site.p-def.  Full rebuilds are recommended if
# any parameters are changed.

# -------------------------------------------------------------------------
# site-specific configuration parameters that need to come before the
# platform-specific parameters - edit site.def or site.p-def to change

# site:  Primate Center 89/12/22

# -------------------------------------------------------------------------
# Set the OS name and version macros if imake has defined them

# -------------------------------------------------------------------------
# platform-specific configuration parameters specific to this project
# edit sun.p-cf to change

# -------------------------------------------------------------------------
# platform-specific configuration parameters
# edit sun.cf to change

# platform:  sun.cf	96/06/21
# operating system:  SunOS 5.5 Generic sun4u

# -------------------------------------------------------------------------
# site-specific configuration parameters that go after the
# platform-specific parameters - edit site.def or site.p-def to change

# site:  Primate Center 89/12/22

# -------------------------------------------------------------------------
# project-specific system and project description parameters
# Edit Imake.p-params to change

           LIBDIR = $(LOCALUSRLIBDIR)/troffcvt
       PROJLIBDIR = $(LIBDIR)
      MACROLIBDIR = $(USRLIBDIR)/tmac
  MACROFILEPREFIX =

         STRING_H = <string.h>
 STRING_H_DEFINES = -D'STRING_H=$(STRING_H)'

       INCLUDESRC = $(TOP)/h
           LIBSRC = $(TOP)/lib
       LIBUNIXSRC = $(TOP)/libunix
        LIBMACSRC = $(TOP)/libmac
          UTILSRC = $(TOP)/util

           DOCSRC = $(TOP)/doc
           MANSRC = $(TOP)/man

         TCGENLIB = $(LOADERLIBPREFIX)$(LIBSRC)/libtcgen.a
      DEPTCGENLIB = $(LIBSRC)/libtcgen.a
        TCREADLIB = $(LOADERLIBPREFIX)$(LIBSRC)/libtcread.a
     DEPTCREADLIB = $(LIBSRC)/libtcread.a
        TCUNIXLIB = $(LOADERLIBPREFIX)$(LIBUNIXSRC)/libtcunix.a
     DEPTCUNIXLIB = $(LIBUNIXSRC)/libtcunix.a

# -------------------------------------------------------------------------
# Standard system and project description parameters
# Edit Imake.params to change

# -------------------------------------------------------------------------
# definitions common to all Makefiles

          PATHSEP = /

            SHELL = /bin/sh

  VARARGS_DEFINES = -DSTDARG -DVARARGS

              TOP = ../.
      CURRENT_DIR = ./libunix

# Configuration file identification - name and release level

         CONFIGNAME = WRPRC2
 CONFIGMAJORRELEASE = 2
 CONFIGMINORRELEASE = 11
      CONFIGRELEASE = $(CONFIGMAJORRELEASE).$(CONFIGMINORRELEASE)
      CONFIGROOTDIR = /usr/local/lib/config

# Project identfication - name and release level

        PROJECTNAME = troffcvt
PROJECTMAJORRELEASE = 1
PROJECTMINORRELEASE = 04
     PROJECTRELEASE = $(PROJECTMAJORRELEASE).$(PROJECTMINORRELEASE)

           BINDIR = /usr/bin
        USRLIBDIR = /usr/lib
       LINTLIBDIR = $(USRLIBDIR)/lint

           ETCDIR = /usr/etc
      INCLUDEROOT = /usr/include
           TMPDIR = /usr/tmp
     SPOOLROOTDIR = /var/spool

     LOCALROOTDIR = /usr/local
      LOCALBINDIR = $(LOCALROOTDIR)/bin
   LOCALUSRLIBDIR = $(LOCALROOTDIR)/lib
  LOCALLINTLIBDIR = $(LOCALUSRLIBDIR)/lint
      LOCALADMDIR = $(LOCALROOTDIR)/adm
      LOCALETCDIR = $(LOCALROOTDIR)/etc
 LOCALINCLUDEROOT = $(LOCALROOTDIR)/include

          MANROOT = /usr/local/man
    MANSOURCEPATH = $(MANROOT)/man
       MAN1SUFFIX = 1
       MAN2SUFFIX = 2
       MAN3SUFFIX = 3
       MAN4SUFFIX = 4
       MAN5SUFFIX = 5
       MAN6SUFFIX = 6
       MAN7SUFFIX = 7
       MAN8SUFFIX = 8
       MANLSUFFIX = l
       MANNSUFFIX = n
        MANSUFFIX = $(MAN1SUFFIX)
          MAN1DIR = $(MANSOURCEPATH)$(MAN1SUFFIX)
          MAN2DIR = $(MANSOURCEPATH)$(MAN2SUFFIX)
          MAN3DIR = $(MANSOURCEPATH)$(MAN3SUFFIX)
          MAN4DIR = $(MANSOURCEPATH)$(MAN4SUFFIX)
          MAN5DIR = $(MANSOURCEPATH)$(MAN5SUFFIX)
          MAN6DIR = $(MANSOURCEPATH)$(MAN6SUFFIX)
          MAN7DIR = $(MANSOURCEPATH)$(MAN7SUFFIX)
          MAN8DIR = $(MANSOURCEPATH)$(MAN8SUFFIX)
          MANLDIR = $(MANSOURCEPATH)$(MANLSUFFIX)
          MANNDIR = $(MANSOURCEPATH)$(MANNSUFFIX)
           MANDIR = $(MANSOURCEPATH)$(MANSUFFIX)

           IMBOOT = imboot
           DEPEND = makedepend
             MSUB = msub
        MKDIRHIER = mkdirhier

               AR = ar cq
               CC = cc
              CPP = /lib/cpp $(STD_CPP_DEFINES)
               LD = ld
             LINT = lint
      LINTLIBFLAG = -o
         LINTOPTS = -bh
         LINTLIBS =
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp
              CMP = cmp

               RM = rm -f
             TAGS = ctags
             PERL = perl
         PERLPATH = $(LOCALBINDIR)/perl
            PERL5 = perl5
        PERL5PATH = $(LOCALBINDIR)/perl5
              AWK = awk
              SED = sed
             COMM = comm
              CAT = cat
              COL = col
             SORT = sort
             UNIQ = uniq
            CHMOD = chmod
            CHDIR = cd
     SENDMAILPATH = /usr/lib/sendmail

# Important local programs

              FIGEN = figen
             DISTAR = distar

# Standard system include file directories, defines, etc.

  STD_CPP_DEFINES =

     STD_INCLUDES = -I$(LOCALINCLUDEROOT)
      STD_DEFINES = -Dsun -DSVR4
       STD_LDLIBS = -lsocket -lnsl -lw
      STD_LDFLAGS = -L$(LOCALUSRLIBDIR)

# Project-specific include file directories, defines, etc.

 PROJECT_INCLUDES = -I. -I$(INCLUDESRC)
  PROJECT_DEFINES = $(VARARGS_DEFINES) $(STRING_H_DEFINES)
   PROJECT_LDLIBS =
  PROJECT_LDFLAGS =

  LOADERLIBPREFIX =
      CDEBUGFLAGS = -O
        CCOPTIONS = -Xc

      ALLINCLUDES = $(INCLUDES) $(PROJECT_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(STD_DEFINES) $(PROJECT_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(ALLINCLUDES) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLINCLUDES) $(ALLDEFINES)
     EXTRA_LDLIBS = $(LDLIBS) $(PROJECT_LDLIBS) $(STD_LDLIBS)
           LDOPTS = $(CDEBUGFLAGS) $(CCOPTIONS) \
			$(LDFLAGS) $(PROJECT_LDFLAGS) $(STD_LDFLAGS)

           RM_CMD = $(RM) *.CKP *.ln *.BAK *.bak *.o core errs ,* *.a .emacs_* tags TAGS make.log MakeOut

          INSTALL = /usr/ucb/install
         INSTCOPY = -c
        INSTSTRIP = -s
        INSTOWNER =
        INSTGROUP =
     INSTPROGMODE = -m 0755
  INSTUIDPROGMODE = -m 04755
  INSTGIDPROGMODE = -m 02755
 INSTUGIDPROGMODE = -m 06755
   INSTSCRIPTMODE = -m 0755
      INSTLIBMODE = -m 0644
      INSTDATMODE = -m 0444
      INSTMANMODE = -m 0444
      INSTINCMODE = -m 0444
    INSTPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTPROGMODE) $(INSTSTRIP)
 INSTUIDPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTUIDPROGMODE) $(INSTSTRIP)
 INSTGIDPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTGIDPROGMODE) $(INSTSTRIP)
INSTUGIDPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTUGIDPROGMODE) $(INSTSTRIP)
  INSTSCRIPTFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTSCRIPTMODE)
     INSTLIBFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTLIBMODE)
     INSTDATFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTDATMODE)
     INSTMANFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTMANMODE)
     INSTINCFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTINCMODE)

           SOELIM = soelim
            TROFF = groff
            NROFF = nroff
              TBL = gtbl
              EQN = geqn
             NEQN = neqn
              PIC = pic
        MANMACROS = -man
         MEMACROS = -me
         MMMACROS = -mm
         MSMACROS = -ms
       MDOCMACROS = -mdoc
         TROFFCVT = troffcvt
           TBLCVT = tblcvt
       TROFF2HTML = troff2html
        TROFF2RTF = troff2rtf
           UNROFF = unroff
      TCMANMACROS = -man
       TCMEMACROS = -me
       TCMMMACROS = -mm
       TCMSMACROS = -ms
     TCMDOCMACROS = -mdoc

# Library link and dependency specifiers

      BIBSTUFFLIB = -lbibstuff
   DEPBIBSTUFFLIB =
           ETMLIB = -letm
        DEPETMLIB =
           FPLLIB = -lfpl
        DEPFPLLIB =
           FQLLIB = -lfql
        DEPFQLLIB =
         GECOSLIB = -lgecos
      DEPGECOSLIB =
        LOGMGRLIB = -llogmgr
     DEPLOGMGRLIB =
        MEMMGRLIB = -lmemmgr
     DEPMEMMGRLIB =
           NDSLIB = -lnds
        DEPNDSLIB =
           NIOLIB = -lnio
        DEPNIOLIB =
         ORDERLIB = -lorder
      DEPORDERLIB =
        SEQNUMLIB = -lseqnum
     DEPSEQNUMLIB =
        SIMSCRLIB = -lsimscr
     DEPSIMSCRLIB =
           TFMLIB = -ltfm
        DEPTFMLIB =
            TSLIB = -ltokenscan
         DEPTSLIB =
          PORTLIB = -lport
       DEPPORTLIB =

# Makefile-generating commands and parameters

   IMBOOT_DEFINES =
       IMBOOT_CMD = $(IMBOOT) -C $(CONFIGNAME) $(IMBOOT_DEFINES)

# -------------------------------------------------------------------------
# Project-specific imake rules
# Edit Imake.p-rules to change

# -------------------------------------------------------------------------
# Standard imake rules
# Edit Imake.rules to change

# -------------------------------------------------------------------------
# start of Imakefile

SRCS = u-libfile.c u-macfile.c u-getpid.c
OBJS = u-libfile.o u-macfile.o u-getpid.o

# any special -D's or other flags for compiling
DEFINES = \
	-D'PROJLIBDIR="$(PROJLIBDIR)"' \
	-D'MACROLIBDIR="$(MACROLIBDIR)"'

.c.o:
	$(RM) $@
	$(CC) -c $(CFLAGS) $*.c

all:: libtcunix.a
libtcunix.a: $(OBJS)
	$(RM) $@
	$(AR) $@ $(OBJS)

clean::
	$(RM) libtcunix.a

lint:: lint.libtcunix.a
lint.libtcunix.a:
	$(LINT) $(LINTFLAGS) $(SRCS) $(LINTLIBS)

help_aux::
	@echo "'make "lint.libtcunix.a"' to "lint sources for libtcunix.a

help_aux::
	@echo "'make "libtcunix.a"' to "build the libtcunix.a library

depend::
	$(DEPEND) -s "# DO NOT DELETE" -- $(ALLINCLUDES) $(ALLDEFINES) -- $(SRCS)

# -------------------------------------------------------------------------
# common rules for all Makefiles

emptyrule::

clean::
	$(RM_CMD) "#"*

tags::
	$(TAGS) -w *.[ch]
	$(TAGS) -xw *.[ch] > TAGS

Makefile::
	$(IMBOOT_CMD) $(TOP) $(CURRENT_DIR)

help::
	@echo "'make Makefile' to rebuild Makefile"
	@echo "'make all' to make everything"
	@echo "'make target' to make a single target"
	@echo "'make depend' to generate header file dependencies"
	@echo "'make install' to install everything (except manual pages)"
	@echo "'make install.man' to install all manual pages"
	@echo "'make i.target' to install a single target"
	@echo "'make lint' to lint source files"
	@echo "'make lint.target' to lint source files for a single target"
	@echo "'make clean' to clean up"
	@make help_aux

help_aux::

# -------------------------------------------------------------------------
# empty rules for directories that do not have SUBDIRS

all::
depend::
lint::

install::
	@echo "install in $(CURRENT_DIR) done"

install.man::
	@echo "install.man in $(CURRENT_DIR) done"

Makefiles::

# -------------------------------------------------------------------------
# dependencies generated by makedepend

# DO NOT DELETE

u-libfile.o: /usr/include/stdio.h /usr/include/sys/feature_tests.h
u-libfile.o: /usr/local/include/memmgr.h .././h/tcgen.h .././h/tcunix.h
u-macfile.o: /usr/include/stdio.h /usr/include/sys/feature_tests.h
u-macfile.o: /usr/local/include/memmgr.h .././h/tcgen.h .././h/tcunix.h
u-getpid.o: /usr/include/stdio.h /usr/include/sys/feature_tests.h
u-getpid.o: .././h/troffcvt.h

=== man/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c /main/90 1996/11/13 14:43:23 lehors $

# -------------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>.
#
# Platform-specific parameters may be set in the appropriate .cf and
# .p-cf configuration files.  Site-wide parameters may be set in the
# files site.def and site.p-def.  Full rebuilds are recommended if
# any parameters are changed.

# -------------------------------------------------------------------------
# site-specific configuration parameters that need to come before the
# platform-specific parameters - edit site.def or site.p-def to change

# site:  Primate Center 89/12/22

# -------------------------------------------------------------------------
# Set the OS name and version macros if imake has defined them

# -------------------------------------------------------------------------
# platform-specific configuration parameters specific to this project
# edit sun.p-cf to change

# -------------------------------------------------------------------------
# platform-specific configuration parameters
# edit sun.cf to change

# platform:  sun.cf	96/06/21
# operating system:  SunOS 5.5 Generic sun4u

# -------------------------------------------------------------------------
# site-specific configuration parameters that go after the
# platform-specific parameters - edit site.def or site.p-def to change

# site:  Primate Center 89/12/22

# -------------------------------------------------------------------------
# project-specific system and project description parameters
# Edit Imake.p-params to change

           LIBDIR = $(LOCALUSRLIBDIR)/troffcvt
       PROJLIBDIR = $(LIBDIR)
      MACROLIBDIR = $(USRLIBDIR)/tmac
  MACROFILEPREFIX =

         STRING_H = <string.h>
 STRING_H_DEFINES = -D'STRING_H=$(STRING_H)'

       INCLUDESRC = $(TOP)/h
           LIBSRC = $(TOP)/lib
       LIBUNIXSRC = $(TOP)/libunix
        LIBMACSRC = $(TOP)/libmac
          UTILSRC = $(TOP)/util

           DOCSRC = $(TOP)/doc
           MANSRC = $(TOP)/man

         TCGENLIB = $(LOADERLIBPREFIX)$(LIBSRC)/libtcgen.a
      DEPTCGENLIB = $(LIBSRC)/libtcgen.a
        TCREADLIB = $(LOADERLIBPREFIX)$(LIBSRC)/libtcread.a
     DEPTCREADLIB = $(LIBSRC)/libtcread.a
        TCUNIXLIB = $(LOADERLIBPREFIX)$(LIBUNIXSRC)/libtcunix.a
     DEPTCUNIXLIB = $(LIBUNIXSRC)/libtcunix.a

# -------------------------------------------------------------------------
# Standard system and project description parameters
# Edit Imake.params to change

# -------------------------------------------------------------------------
# definitions common to all Makefiles

          PATHSEP = /

            SHELL = /bin/sh

  VARARGS_DEFINES = -DSTDARG -DVARARGS

              TOP = ../.
      CURRENT_DIR = ./man

# Configuration file identification - name and release level

         CONFIGNAME = WRPRC2
 CONFIGMAJORRELEASE = 2
 CONFIGMINORRELEASE = 11
      CONFIGRELEASE = $(CONFIGMAJORRELEASE).$(CONFIGMINORRELEASE)
      CONFIGROOTDIR = /usr/local/lib/config

# Project identfication - name and release level

        PROJECTNAME = troffcvt
PROJECTMAJORRELEASE = 1
PROJECTMINORRELEASE = 04
     PROJECTRELEASE = $(PROJECTMAJORRELEASE).$(PROJECTMINORRELEASE)

           BINDIR = /usr/bin
        USRLIBDIR = /usr/lib
       LINTLIBDIR = $(USRLIBDIR)/lint

           ETCDIR = /usr/etc
      INCLUDEROOT = /usr/include
           TMPDIR = /usr/tmp
     SPOOLROOTDIR = /var/spool

     LOCALROOTDIR = /usr/local
      LOCALBINDIR = $(LOCALROOTDIR)/bin
   LOCALUSRLIBDIR = $(LOCALROOTDIR)/lib
  LOCALLINTLIBDIR = $(LOCALUSRLIBDIR)/lint
      LOCALADMDIR = $(LOCALROOTDIR)/adm
      LOCALETCDIR = $(LOCALROOTDIR)/etc
 LOCALINCLUDEROOT = $(LOCALROOTDIR)/include

          MANROOT = /usr/local/man
    MANSOURCEPATH = $(MANROOT)/man
       MAN1SUFFIX = 1
       MAN2SUFFIX = 2
       MAN3SUFFIX = 3
       MAN4SUFFIX = 4
       MAN5SUFFIX = 5
       MAN6SUFFIX = 6
       MAN7SUFFIX = 7
       MAN8SUFFIX = 8
       MANLSUFFIX = l
       MANNSUFFIX = n
        MANSUFFIX = $(MAN1SUFFIX)
          MAN1DIR = $(MANSOURCEPATH)$(MAN1SUFFIX)
          MAN2DIR = $(MANSOURCEPATH)$(MAN2SUFFIX)
          MAN3DIR = $(MANSOURCEPATH)$(MAN3SUFFIX)
          MAN4DIR = $(MANSOURCEPATH)$(MAN4SUFFIX)
          MAN5DIR = $(MANSOURCEPATH)$(MAN5SUFFIX)
          MAN6DIR = $(MANSOURCEPATH)$(MAN6SUFFIX)
          MAN7DIR = $(MANSOURCEPATH)$(MAN7SUFFIX)
          MAN8DIR = $(MANSOURCEPATH)$(MAN8SUFFIX)
          MANLDIR = $(MANSOURCEPATH)$(MANLSUFFIX)
          MANNDIR = $(MANSOURCEPATH)$(MANNSUFFIX)
           MANDIR = $(MANSOURCEPATH)$(MANSUFFIX)

           IMBOOT = imboot
           DEPEND = makedepend
             MSUB = msub
        MKDIRHIER = mkdirhier

               AR = ar cq
               CC = cc
              CPP = /lib/cpp $(STD_CPP_DEFINES)
               LD = ld
             LINT = lint
      LINTLIBFLAG = -o
         LINTOPTS = -bh
         LINTLIBS =
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp
              CMP = cmp

               RM = rm -f
             TAGS = ctags
             PERL = perl
         PERLPATH = $(LOCALBINDIR)/perl
            PERL5 = perl5
        PERL5PATH = $(LOCALBINDIR)/perl5
              AWK = awk
              SED = sed
             COMM = comm
              CAT = cat
              COL = col
             SORT = sort
             UNIQ = uniq
            CHMOD = chmod
            CHDIR = cd
     SENDMAILPATH = /usr/lib/sendmail

# Important local programs

              FIGEN = figen
             DISTAR = distar

# Standard system include file directories, defines, etc.

  STD_CPP_DEFINES =

     STD_INCLUDES = -I$(LOCALINCLUDEROOT)
      STD_DEFINES = -Dsun -DSVR4
       STD_LDLIBS = -lsocket -lnsl -lw
      STD_LDFLAGS = -L$(LOCALUSRLIBDIR)

# Project-specific include file directories, defines, etc.

 PROJECT_INCLUDES = -I. -I$(INCLUDESRC)
  PROJECT_DEFINES = $(VARARGS_DEFINES) $(STRING_H_DEFINES)
   PROJECT_LDLIBS =
  PROJECT_LDFLAGS =

  LOADERLIBPREFIX =
      CDEBUGFLAGS = -O
        CCOPTIONS = -Xc

      ALLINCLUDES = $(INCLUDES) $(PROJECT_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(STD_DEFINES) $(PROJECT_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(ALLINCLUDES) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLINCLUDES) $(ALLDEFINES)
     EXTRA_LDLIBS = $(LDLIBS) $(PROJECT_LDLIBS) $(STD_LDLIBS)
           LDOPTS = $(CDEBUGFLAGS) $(CCOPTIONS) \
			$(LDFLAGS) $(PROJECT_LDFLAGS) $(STD_LDFLAGS)

           RM_CMD = $(RM) *.CKP *.ln *.BAK *.bak *.o core errs ,* *.a .emacs_* tags TAGS make.log MakeOut

          INSTALL = /usr/ucb/install
         INSTCOPY = -c
        INSTSTRIP = -s
        INSTOWNER =
        INSTGROUP =
     INSTPROGMODE = -m 0755
  INSTUIDPROGMODE = -m 04755
  INSTGIDPROGMODE = -m 02755
 INSTUGIDPROGMODE = -m 06755
   INSTSCRIPTMODE = -m 0755
      INSTLIBMODE = -m 0644
      INSTDATMODE = -m 0444
      INSTMANMODE = -m 0444
      INSTINCMODE = -m 0444
    INSTPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTPROGMODE) $(INSTSTRIP)
 INSTUIDPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTUIDPROGMODE) $(INSTSTRIP)
 INSTGIDPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTGIDPROGMODE) $(INSTSTRIP)
INSTUGIDPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTUGIDPROGMODE) $(INSTSTRIP)
  INSTSCRIPTFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTSCRIPTMODE)
     INSTLIBFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTLIBMODE)
     INSTDATFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTDATMODE)
     INSTMANFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTMANMODE)
     INSTINCFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTINCMODE)

           SOELIM = soelim
            TROFF = groff
            NROFF = nroff
              TBL = gtbl
              EQN = geqn
             NEQN = neqn
              PIC = pic
        MANMACROS = -man
         MEMACROS = -me
         MMMACROS = -mm
         MSMACROS = -ms
       MDOCMACROS = -mdoc
         TROFFCVT = troffcvt
           TBLCVT = tblcvt
       TROFF2HTML = troff2html
        TROFF2RTF = troff2rtf
           UNROFF = unroff
      TCMANMACROS = -man
       TCMEMACROS = -me
       TCMMMACROS = -mm
       TCMSMACROS = -ms
     TCMDOCMACROS = -mdoc

# Library link and dependency specifiers

      BIBSTUFFLIB = -lbibstuff
   DEPBIBSTUFFLIB =
           ETMLIB = -letm
        DEPETMLIB =
           FPLLIB = -lfpl
        DEPFPLLIB =
           FQLLIB = -lfql
        DEPFQLLIB =
         GECOSLIB = -lgecos
      DEPGECOSLIB =
        LOGMGRLIB = -llogmgr
     DEPLOGMGRLIB =
        MEMMGRLIB = -lmemmgr
     DEPMEMMGRLIB =
           NDSLIB = -lnds
        DEPNDSLIB =
           NIOLIB = -lnio
        DEPNIOLIB =
         ORDERLIB = -lorder
      DEPORDERLIB =
        SEQNUMLIB = -lseqnum
     DEPSEQNUMLIB =
        SIMSCRLIB = -lsimscr
     DEPSIMSCRLIB =
           TFMLIB = -ltfm
        DEPTFMLIB =
            TSLIB = -ltokenscan
         DEPTSLIB =
          PORTLIB = -lport
       DEPPORTLIB =

# Makefile-generating commands and parameters

   IMBOOT_DEFINES =
       IMBOOT_CMD = $(IMBOOT) -C $(CONFIGNAME) $(IMBOOT_DEFINES)

# -------------------------------------------------------------------------
# Project-specific imake rules
# Edit Imake.p-rules to change

# -------------------------------------------------------------------------
# Standard imake rules
# Edit Imake.rules to change

# -------------------------------------------------------------------------
# start of Imakefile

# troffcvt manual page Makefile

all::

documents-ps:: troffcvt.ps tc2html.ps troff2html.ps tc2html-toc.ps \
	troff2rtf.ps unroff.ps tblcvt.ps

documents-html:: troffcvt.html tc2html.html troff2html.html tc2html-toc.html \
	troff2rtf.html unroff.html tblcvt.html

documents-text:: documents-txt
documents-txt:: troffcvt.txt tc2html.txt troff2html.txt tc2html-toc.txt \
	troff2rtf.txt unroff.txt tblcvt.txt

documents-rtf:: troffcvt.rtf tc2html.rtf troff2html.rtf tc2html-toc.rtf \
	troff2rtf.rtf unroff.rtf tblcvt.rtf

all:: troffcvt.man

all:: troffcvt.man
troffcvt.man:: troffcvt.msub
	$(RM) $@
	$(MSUB) troffcvt.msub > $@

clean::
	$(RM) troffcvt.man

help_aux::
	@echo "'make "troffcvt.man"' to "build troffcvt.man

troffcvt.ps:: troffcvt.man
	$(SOELIM) troffcvt.man  | $(TROFF) $(MANMACROS) $(TROFFOPTS) > troffcvt.ps

clean::
	$(RM) troffcvt.ps

help_aux::
	@echo "'make "troffcvt.ps"' to "format troffcvt.ps in PostScript

troffcvt.html:: troffcvt.man
	$(SOELIM) troffcvt.man  | $(TROFF2HTML) $(TCMANMACROS)  $(TROFFOPTS) - >troffcvt.html

clean::
	$(RM) troffcvt.html

help_aux::
	@echo "'make "troffcvt.html"' to "format troffcvt.html in HTML

troffcvt.txt:: troffcvt.man
	$(SOELIM) troffcvt.man  | $(UNROFF) $(TCMANMACROS)  $(TROFFOPTS) - > troffcvt.txt

clean::
	$(RM) troffcvt.txt

help_aux::
	@echo "'make "troffcvt.txt"' to "format troffcvt.txt in plain text

troffcvt.rtf:: troffcvt.man troffcvt.man
	$(SOELIM) troffcvt.man  | $(TROFF2RTF) $(TCMANMACROS)  $(TROFFOPTS)> troffcvt.rtf

clean::
	$(RM) troffcvt.rtf

install.man:: i.troffcvt.man
i.troffcvt.man:: troffcvt.man
	@if [ -d $(MANDIR) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(MANDIR)); fi
	$(INSTALL) $(INSTMANFLAGS) troffcvt.man $(MANDIR)/troffcvt.$(MANSUFFIX)

help_aux::
	@echo "'make "i.troffcvt.man"' to "install troffcvt.man manual page

tc2html.ps:: tc2html.man
	$(SOELIM) tc2html.man  | $(TROFF) $(MANMACROS) $(TROFFOPTS) > tc2html.ps

clean::
	$(RM) tc2html.ps

help_aux::
	@echo "'make "tc2html.ps"' to "format tc2html.ps in PostScript

tc2html.html:: tc2html.man
	$(SOELIM) tc2html.man  | $(TROFF2HTML) $(TCMANMACROS)  $(TROFFOPTS) - >tc2html.html

clean::
	$(RM) tc2html.html

help_aux::
	@echo "'make "tc2html.html"' to "format tc2html.html in HTML

tc2html.txt:: tc2html.man
	$(SOELIM) tc2html.man  | $(UNROFF) $(TCMANMACROS)  $(TROFFOPTS) - > tc2html.txt

clean::

=== tblcvt/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c /main/90 1996/11/13 14:43:23 lehors $

# -------------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>.
#
# Platform-specific parameters may be set in the appropriate .cf and
# .p-cf configuration files.  Site-wide parameters may be set in the
# files site.def and site.p-def.  Full rebuilds are recommended if
# any parameters are changed.

# -------------------------------------------------------------------------
# site-specific configuration parameters that need to come before the
# platform-specific parameters - edit site.def or site.p-def to change

# site:  Primate Center 89/12/22

# -------------------------------------------------------------------------
# Set the OS name and version macros if imake has defined them

# -------------------------------------------------------------------------
# platform-specific configuration parameters specific to this project
# edit sun.p-cf to change

# -------------------------------------------------------------------------
# platform-specific configuration parameters
# edit sun.cf to change

# platform:  sun.cf	96/06/21
# operating system:  SunOS 5.5 Generic sun4u

# -------------------------------------------------------------------------
# site-specific configuration parameters that go after the
# platform-specific parameters - edit site.def or site.p-def to change

# site:  Primate Center 89/12/22

# -------------------------------------------------------------------------
# project-specific system and project description parameters
# Edit Imake.p-params to change

           LIBDIR = $(LOCALUSRLIBDIR)/troffcvt
       PROJLIBDIR = $(LIBDIR)
      MACROLIBDIR = $(USRLIBDIR)/tmac
  MACROFILEPREFIX =

         STRING_H = <string.h>
 STRING_H_DEFINES = -D'STRING_H=$(STRING_H)'

       INCLUDESRC = $(TOP)/h
           LIBSRC = $(TOP)/lib
       LIBUNIXSRC = $(TOP)/libunix
        LIBMACSRC = $(TOP)/libmac
          UTILSRC = $(TOP)/util

           DOCSRC = $(TOP)/doc
           MANSRC = $(TOP)/man

         TCGENLIB = $(LOADERLIBPREFIX)$(LIBSRC)/libtcgen.a
      DEPTCGENLIB = $(LIBSRC)/libtcgen.a
        TCREADLIB = $(LOADERLIBPREFIX)$(LIBSRC)/libtcread.a
     DEPTCREADLIB = $(LIBSRC)/libtcread.a
        TCUNIXLIB = $(LOADERLIBPREFIX)$(LIBUNIXSRC)/libtcunix.a
     DEPTCUNIXLIB = $(LIBUNIXSRC)/libtcunix.a

# -------------------------------------------------------------------------
# Standard system and project description parameters
# Edit Imake.params to change

# -------------------------------------------------------------------------
# definitions common to all Makefiles

          PATHSEP = /

            SHELL = /bin/sh

  VARARGS_DEFINES = -DSTDARG -DVARARGS

              TOP = ../.
      CURRENT_DIR = ./tblcvt

# Configuration file identification - name and release level

         CONFIGNAME = WRPRC2
 CONFIGMAJORRELEASE = 2
 CONFIGMINORRELEASE = 11
      CONFIGRELEASE = $(CONFIGMAJORRELEASE).$(CONFIGMINORRELEASE)
      CONFIGROOTDIR = /usr/local/lib/config

# Project identfication - name and release level

        PROJECTNAME = troffcvt
PROJECTMAJORRELEASE = 1
PROJECTMINORRELEASE = 04
     PROJECTRELEASE = $(PROJECTMAJORRELEASE).$(PROJECTMINORRELEASE)

           BINDIR = /usr/bin
        USRLIBDIR = /usr/lib
       LINTLIBDIR = $(USRLIBDIR)/lint

           ETCDIR = /usr/etc
      INCLUDEROOT = /usr/include
           TMPDIR = /usr/tmp
     SPOOLROOTDIR = /var/spool

     LOCALROOTDIR = /usr/local
      LOCALBINDIR = $(LOCALROOTDIR)/bin
   LOCALUSRLIBDIR = $(LOCALROOTDIR)/lib
  LOCALLINTLIBDIR = $(LOCALUSRLIBDIR)/lint
      LOCALADMDIR = $(LOCALROOTDIR)/adm
      LOCALETCDIR = $(LOCALROOTDIR)/etc
 LOCALINCLUDEROOT = $(LOCALROOTDIR)/include

          MANROOT = /usr/local/man
    MANSOURCEPATH = $(MANROOT)/man
       MAN1SUFFIX = 1
       MAN2SUFFIX = 2
       MAN3SUFFIX = 3
       MAN4SUFFIX = 4
       MAN5SUFFIX = 5
       MAN6SUFFIX = 6
       MAN7SUFFIX = 7
       MAN8SUFFIX = 8
       MANLSUFFIX = l
       MANNSUFFIX = n
        MANSUFFIX = $(MAN1SUFFIX)
          MAN1DIR = $(MANSOURCEPATH)$(MAN1SUFFIX)
          MAN2DIR = $(MANSOURCEPATH)$(MAN2SUFFIX)
          MAN3DIR = $(MANSOURCEPATH)$(MAN3SUFFIX)
          MAN4DIR = $(MANSOURCEPATH)$(MAN4SUFFIX)
          MAN5DIR = $(MANSOURCEPATH)$(MAN5SUFFIX)
          MAN6DIR = $(MANSOURCEPATH)$(MAN6SUFFIX)
          MAN7DIR = $(MANSOURCEPATH)$(MAN7SUFFIX)
          MAN8DIR = $(MANSOURCEPATH)$(MAN8SUFFIX)
          MANLDIR = $(MANSOURCEPATH)$(MANLSUFFIX)
          MANNDIR = $(MANSOURCEPATH)$(MANNSUFFIX)
           MANDIR = $(MANSOURCEPATH)$(MANSUFFIX)

           IMBOOT = imboot
           DEPEND = makedepend
             MSUB = msub
        MKDIRHIER = mkdirhier

               AR = ar cq
               CC = cc
              CPP = /lib/cpp $(STD_CPP_DEFINES)
               LD = ld
             LINT = lint
      LINTLIBFLAG = -o
         LINTOPTS = -bh
         LINTLIBS =
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp
              CMP = cmp

               RM = rm -f
             TAGS = ctags
             PERL = perl
         PERLPATH = $(LOCALBINDIR)/perl
            PERL5 = perl5
        PERL5PATH = $(LOCALBINDIR)/perl5
              AWK = awk
              SED = sed
             COMM = comm
              CAT = cat
              COL = col
             SORT = sort
             UNIQ = uniq
            CHMOD = chmod
            CHDIR = cd
     SENDMAILPATH = /usr/lib/sendmail

# Important local programs

              FIGEN = figen
             DISTAR = distar

# Standard system include file directories, defines, etc.

  STD_CPP_DEFINES =

     STD_INCLUDES = -I$(LOCALINCLUDEROOT)
      STD_DEFINES = -Dsun -DSVR4
       STD_LDLIBS = -lsocket -lnsl -lw
      STD_LDFLAGS = -L$(LOCALUSRLIBDIR)

# Project-specific include file directories, defines, etc.

 PROJECT_INCLUDES = -I. -I$(INCLUDESRC)
  PROJECT_DEFINES = $(VARARGS_DEFINES) $(STRING_H_DEFINES)
   PROJECT_LDLIBS =
  PROJECT_LDFLAGS =

  LOADERLIBPREFIX =
      CDEBUGFLAGS = -O
        CCOPTIONS = -Xc

      ALLINCLUDES = $(INCLUDES) $(PROJECT_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(STD_DEFINES) $(PROJECT_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(ALLINCLUDES) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLINCLUDES) $(ALLDEFINES)
     EXTRA_LDLIBS = $(LDLIBS) $(PROJECT_LDLIBS) $(STD_LDLIBS)
           LDOPTS = $(CDEBUGFLAGS) $(CCOPTIONS) \
			$(LDFLAGS) $(PROJECT_LDFLAGS) $(STD_LDFLAGS)

           RM_CMD = $(RM) *.CKP *.ln *.BAK *.bak *.o core errs ,* *.a .emacs_* tags TAGS make.log MakeOut

          INSTALL = /usr/ucb/install
         INSTCOPY = -c
        INSTSTRIP = -s
        INSTOWNER =
        INSTGROUP =
     INSTPROGMODE = -m 0755
  INSTUIDPROGMODE = -m 04755
  INSTGIDPROGMODE = -m 02755
 INSTUGIDPROGMODE = -m 06755
   INSTSCRIPTMODE = -m 0755
      INSTLIBMODE = -m 0644
      INSTDATMODE = -m 0444
      INSTMANMODE = -m 0444
      INSTINCMODE = -m 0444
    INSTPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTPROGMODE) $(INSTSTRIP)
 INSTUIDPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTUIDPROGMODE) $(INSTSTRIP)
 INSTGIDPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTGIDPROGMODE) $(INSTSTRIP)
INSTUGIDPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTUGIDPROGMODE) $(INSTSTRIP)
  INSTSCRIPTFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTSCRIPTMODE)
     INSTLIBFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTLIBMODE)
     INSTDATFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTDATMODE)
     INSTMANFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTMANMODE)
     INSTINCFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTINCMODE)

           SOELIM = soelim
            TROFF = groff
            NROFF = nroff
              TBL = gtbl
              EQN = geqn
             NEQN = neqn
              PIC = pic
        MANMACROS = -man
         MEMACROS = -me
         MMMACROS = -mm
         MSMACROS = -ms
       MDOCMACROS = -mdoc
         TROFFCVT = troffcvt
           TBLCVT = tblcvt
       TROFF2HTML = troff2html
        TROFF2RTF = troff2rtf
           UNROFF = unroff
      TCMANMACROS = -man
       TCMEMACROS = -me
       TCMMMACROS = -mm
       TCMSMACROS = -ms
     TCMDOCMACROS = -mdoc

# Library link and dependency specifiers

      BIBSTUFFLIB = -lbibstuff
   DEPBIBSTUFFLIB =
           ETMLIB = -letm
        DEPETMLIB =
           FPLLIB = -lfpl
        DEPFPLLIB =
           FQLLIB = -lfql
        DEPFQLLIB =
         GECOSLIB = -lgecos
      DEPGECOSLIB =
        LOGMGRLIB = -llogmgr
     DEPLOGMGRLIB =
        MEMMGRLIB = -lmemmgr
     DEPMEMMGRLIB =
           NDSLIB = -lnds
        DEPNDSLIB =
           NIOLIB = -lnio
        DEPNIOLIB =
         ORDERLIB = -lorder
      DEPORDERLIB =
        SEQNUMLIB = -lseqnum
     DEPSEQNUMLIB =
        SIMSCRLIB = -lsimscr
     DEPSIMSCRLIB =
           TFMLIB = -ltfm
        DEPTFMLIB =
            TSLIB = -ltokenscan
         DEPTSLIB =
          PORTLIB = -lport
       DEPPORTLIB =

# Makefile-generating commands and parameters

   IMBOOT_DEFINES =
       IMBOOT_CMD = $(IMBOOT) -C $(CONFIGNAME) $(IMBOOT_DEFINES)

# -------------------------------------------------------------------------
# Project-specific imake rules
# Edit Imake.p-rules to change

# -------------------------------------------------------------------------
# Standard imake rules
# Edit Imake.rules to change

# -------------------------------------------------------------------------
# start of Imakefile

# tblcvt Makefile

all:: tblcvt
tblcvt:: tblcvt.pl
	$(RM) $@
	echo "#!"$(PERL5PATH) > $@
	$(MSUB) tblcvt.pl >> $@
	$(CHMOD) a+x $@

clean::
	$(RM) tblcvt

help_aux::
	@echo "'make "tblcvt"' to "build the tblcvt script

install:: i.tblcvt

help_aux::
	@echo "'make "i.tblcvt"' to "install tblcvt
i.tblcvt:: tblcvt
	@if [ -d $(LOCALBINDIR) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(LOCALBINDIR)); fi
	$(INSTALL) $(INSTSCRIPTFLAGS) tblcvt $(LOCALBINDIR)/tblcvt

# -------------------------------------------------------------------------
# common rules for all Makefiles

emptyrule::

clean::
	$(RM_CMD) "#"*

tags::
	$(TAGS) -w *.[ch]
	$(TAGS) -xw *.[ch] > TAGS

Makefile::
	$(IMBOOT_CMD) $(TOP) $(CURRENT_DIR)

help::
	@echo "'make Makefile' to rebuild Makefile"
	@echo "'make all' to make everything"
	@echo "'make target' to make a single target"
	@echo "'make depend' to generate header file dependencies"
	@echo "'make install' to install everything (except manual pages)"
	@echo "'make install.man' to install all manual pages"
	@echo "'make i.target' to install a single target"
	@echo "'make lint' to lint source files"
	@echo "'make lint.target' to lint source files for a single target"
	@echo "'make clean' to clean up"
	@make help_aux

help_aux::

# -------------------------------------------------------------------------
# empty rules for directories that do not have SUBDIRS

all::
depend::
lint::

install::
	@echo "install in $(CURRENT_DIR) done"

install.man::
	@echo "install.man in $(CURRENT_DIR) done"

Makefiles::

# -------------------------------------------------------------------------
# dependencies generated by makedepend

=== troffcvt/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c /main/90 1996/11/13 14:43:23 lehors $

# -------------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>.
#
# Platform-specific parameters may be set in the appropriate .cf and
# .p-cf configuration files.  Site-wide parameters may be set in the
# files site.def and site.p-def.  Full rebuilds are recommended if
# any parameters are changed.

# -------------------------------------------------------------------------
# site-specific configuration parameters that need to come before the
# platform-specific parameters - edit site.def or site.p-def to change

# site:  Primate Center 89/12/22

# -------------------------------------------------------------------------
# Set the OS name and version macros if imake has defined them

# -------------------------------------------------------------------------
# platform-specific configuration parameters specific to this project
# edit sun.p-cf to change

# -------------------------------------------------------------------------
# platform-specific configuration parameters
# edit sun.cf to change

# platform:  sun.cf	96/06/21
# operating system:  SunOS 5.5 Generic sun4u

# -------------------------------------------------------------------------
# site-specific configuration parameters that go after the
# platform-specific parameters - edit site.def or site.p-def to change

# site:  Primate Center 89/12/22

# -------------------------------------------------------------------------
# project-specific system and project description parameters
# Edit Imake.p-params to change

           LIBDIR = $(LOCALUSRLIBDIR)/troffcvt
       PROJLIBDIR = $(LIBDIR)
      MACROLIBDIR = $(USRLIBDIR)/tmac
  MACROFILEPREFIX =

         STRING_H = <string.h>
 STRING_H_DEFINES = -D'STRING_H=$(STRING_H)'

       INCLUDESRC = $(TOP)/h
           LIBSRC = $(TOP)/lib
       LIBUNIXSRC = $(TOP)/libunix
        LIBMACSRC = $(TOP)/libmac
          UTILSRC = $(TOP)/util

           DOCSRC = $(TOP)/doc
           MANSRC = $(TOP)/man

         TCGENLIB = $(LOADERLIBPREFIX)$(LIBSRC)/libtcgen.a
      DEPTCGENLIB = $(LIBSRC)/libtcgen.a
        TCREADLIB = $(LOADERLIBPREFIX)$(LIBSRC)/libtcread.a
     DEPTCREADLIB = $(LIBSRC)/libtcread.a
        TCUNIXLIB = $(LOADERLIBPREFIX)$(LIBUNIXSRC)/libtcunix.a
     DEPTCUNIXLIB = $(LIBUNIXSRC)/libtcunix.a

# -------------------------------------------------------------------------
# Standard system and project description parameters
# Edit Imake.params to change

# -------------------------------------------------------------------------
# definitions common to all Makefiles

          PATHSEP = /

            SHELL = /bin/sh

  VARARGS_DEFINES = -DSTDARG -DVARARGS

              TOP = ../.
      CURRENT_DIR = ./troffcvt

# Configuration file identification - name and release level

         CONFIGNAME = WRPRC2
 CONFIGMAJORRELEASE = 2
 CONFIGMINORRELEASE = 11
      CONFIGRELEASE = $(CONFIGMAJORRELEASE).$(CONFIGMINORRELEASE)
      CONFIGROOTDIR = /usr/local/lib/config

# Project identfication - name and release level

        PROJECTNAME = troffcvt
PROJECTMAJORRELEASE = 1
PROJECTMINORRELEASE = 04
     PROJECTRELEASE = $(PROJECTMAJORRELEASE).$(PROJECTMINORRELEASE)

           BINDIR = /usr/bin
        USRLIBDIR = /usr/lib
       LINTLIBDIR = $(USRLIBDIR)/lint

           ETCDIR = /usr/etc
      INCLUDEROOT = /usr/include
           TMPDIR = /usr/tmp
     SPOOLROOTDIR = /var/spool

     LOCALROOTDIR = /usr/local
      LOCALBINDIR = $(LOCALROOTDIR)/bin
   LOCALUSRLIBDIR = $(LOCALROOTDIR)/lib
  LOCALLINTLIBDIR = $(LOCALUSRLIBDIR)/lint
      LOCALADMDIR = $(LOCALROOTDIR)/adm
      LOCALETCDIR = $(LOCALROOTDIR)/etc
 LOCALINCLUDEROOT = $(LOCALROOTDIR)/include

          MANROOT = /usr/local/man
    MANSOURCEPATH = $(MANROOT)/man
       MAN1SUFFIX = 1
       MAN2SUFFIX = 2
       MAN3SUFFIX = 3
       MAN4SUFFIX = 4
       MAN5SUFFIX = 5
       MAN6SUFFIX = 6
       MAN7SUFFIX = 7
       MAN8SUFFIX = 8
       MANLSUFFIX = l
       MANNSUFFIX = n
        MANSUFFIX = $(MAN1SUFFIX)
          MAN1DIR = $(MANSOURCEPATH)$(MAN1SUFFIX)
          MAN2DIR = $(MANSOURCEPATH)$(MAN2SUFFIX)
          MAN3DIR = $(MANSOURCEPATH)$(MAN3SUFFIX)
          MAN4DIR = $(MANSOURCEPATH)$(MAN4SUFFIX)
          MAN5DIR = $(MANSOURCEPATH)$(MAN5SUFFIX)
          MAN6DIR = $(MANSOURCEPATH)$(MAN6SUFFIX)
          MAN7DIR = $(MANSOURCEPATH)$(MAN7SUFFIX)
          MAN8DIR = $(MANSOURCEPATH)$(MAN8SUFFIX)
          MANLDIR = $(MANSOURCEPATH)$(MANLSUFFIX)
          MANNDIR = $(MANSOURCEPATH)$(MANNSUFFIX)
           MANDIR = $(MANSOURCEPATH)$(MANSUFFIX)

           IMBOOT = imboot
           DEPEND = makedepend
             MSUB = msub
        MKDIRHIER = mkdirhier

               AR = ar cq
               CC = cc
              CPP = /lib/cpp $(STD_CPP_DEFINES)
               LD = ld
             LINT = lint
      LINTLIBFLAG = -o
         LINTOPTS = -bh
         LINTLIBS =
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp
              CMP = cmp

               RM = rm -f
             TAGS = ctags
             PERL = perl
         PERLPATH = $(LOCALBINDIR)/perl
            PERL5 = perl5
        PERL5PATH = $(LOCALBINDIR)/perl5
              AWK = awk
              SED = sed
             COMM = comm
              CAT = cat
              COL = col
             SORT = sort
             UNIQ = uniq
            CHMOD = chmod
            CHDIR = cd
     SENDMAILPATH = /usr/lib/sendmail

# Important local programs

              FIGEN = figen
             DISTAR = distar

# Standard system include file directories, defines, etc.

  STD_CPP_DEFINES =

     STD_INCLUDES = -I$(LOCALINCLUDEROOT)
      STD_DEFINES = -Dsun -DSVR4
       STD_LDLIBS = -lsocket -lnsl -lw
      STD_LDFLAGS = -L$(LOCALUSRLIBDIR)

# Project-specific include file directories, defines, etc.

 PROJECT_INCLUDES = -I. -I$(INCLUDESRC)
  PROJECT_DEFINES = $(VARARGS_DEFINES) $(STRING_H_DEFINES)
   PROJECT_LDLIBS =
  PROJECT_LDFLAGS =

  LOADERLIBPREFIX =
      CDEBUGFLAGS = -O
        CCOPTIONS = -Xc

      ALLINCLUDES = $(INCLUDES) $(PROJECT_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(STD_DEFINES) $(PROJECT_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(ALLINCLUDES) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLINCLUDES) $(ALLDEFINES)
     EXTRA_LDLIBS = $(LDLIBS) $(PROJECT_LDLIBS) $(STD_LDLIBS)
           LDOPTS = $(CDEBUGFLAGS) $(CCOPTIONS) \
			$(LDFLAGS) $(PROJECT_LDFLAGS) $(STD_LDFLAGS)

           RM_CMD = $(RM) *.CKP *.ln *.BAK *.bak *.o core errs ,* *.a .emacs_* tags TAGS make.log MakeOut

          INSTALL = /usr/ucb/install
         INSTCOPY = -c
        INSTSTRIP = -s
        INSTOWNER =
        INSTGROUP =
     INSTPROGMODE = -m 0755
  INSTUIDPROGMODE = -m 04755
  INSTGIDPROGMODE = -m 02755
 INSTUGIDPROGMODE = -m 06755
   INSTSCRIPTMODE = -m 0755
      INSTLIBMODE = -m 0644
      INSTDATMODE = -m 0444
      INSTMANMODE = -m 0444
      INSTINCMODE = -m 0444
    INSTPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTPROGMODE) $(INSTSTRIP)
 INSTUIDPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTUIDPROGMODE) $(INSTSTRIP)
 INSTGIDPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTGIDPROGMODE) $(INSTSTRIP)
INSTUGIDPROGFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTUGIDPROGMODE) $(INSTSTRIP)
  INSTSCRIPTFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTSCRIPTMODE)
     INSTLIBFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTLIBMODE)
     INSTDATFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTDATMODE)
     INSTMANFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTMANMODE)
     INSTINCFLAGS = $(INSTCOPY) $(INSTOWNER) $(INSTGROUP) $(INSTINCMODE)

           SOELIM = soelim
            TROFF = groff
            NROFF = nroff
              TBL = gtbl
              EQN = geqn
             NEQN = neqn
              PIC = pic
        MANMACROS = -man
         MEMACROS = -me
         MMMACROS = -mm
         MSMACROS = -ms
       MDOCMACROS = -mdoc
         TROFFCVT = troffcvt
           TBLCVT = tblcvt
       TROFF2HTML = troff2html
        TROFF2RTF = troff2rtf
           UNROFF = unroff
      TCMANMACROS = -man
       TCMEMACROS = -me
       TCMMMACROS = -mm
       TCMSMACROS = -ms
     TCMDOCMACROS = -mdoc

# Library link and dependency specifiers

      BIBSTUFFLIB = -lbibstuff
   DEPBIBSTUFFLIB =
           ETMLIB = -letm
        DEPETMLIB =
           FPLLIB = -lfpl
        DEPFPLLIB =
           FQLLIB = -lfql
        DEPFQLLIB =
         GECOSLIB = -lgecos
      DEPGECOSLIB =
        LOGMGRLIB = -llogmgr
     DEPLOGMGRLIB =
        MEMMGRLIB = -lmemmgr
     DEPMEMMGRLIB =
           NDSLIB = -lnds
        DEPNDSLIB =
           NIOLIB = -lnio
        DEPNIOLIB =
         ORDERLIB = -lorder
      DEPORDERLIB =
        SEQNUMLIB = -lseqnum
     DEPSEQNUMLIB =
        SIMSCRLIB = -lsimscr
     DEPSIMSCRLIB =
           TFMLIB = -ltfm
        DEPTFMLIB =
            TSLIB = -ltokenscan
         DEPTSLIB =
          PORTLIB = -lport
       DEPPORTLIB =

# Makefile-generating commands and parameters

   IMBOOT_DEFINES =
       IMBOOT_CMD = $(IMBOOT) -C $(CONFIGNAME) $(IMBOOT_DEFINES)

# -------------------------------------------------------------------------
# Project-specific imake rules
# Edit Imake.p-rules to change

# -------------------------------------------------------------------------
# Standard imake rules
# Edit Imake.rules to change

# -------------------------------------------------------------------------
# start of Imakefile

# troffcvt Makefile

# any special -D's or other flags for compiling
DEFINES = \
	-D'PROJLIBDIR="$(PROJLIBDIR)"' \
	-D'MACROLIBDIR="$(MACROLIBDIR)"' \
	-D'MACROFILEPREFIX="$(MACROFILEPREFIX)"'

# any special -I's for compiling
INCLUDES =

# any special libraries needed for linking

   LIBS = $(TCUNIXLIB) $(TCGENLIB) $(MEMMGRLIB) $(TSLIB) \
		$(ETMLIB) $(PORTLIB)
DEPLIBS = $(DEPTCUNIXLIB) $(DEPTCGENLIB) $(DEPMEMMGRLIB) $(DEPTSLIB) \
		$(DEPETMLIB) $(DEPPORTLIB)

SRCS = main.c input.c output.c list.c \
	parse.c action.c chartype.c text.c req.c setget.c \
	units.c environ.c macfile.c xchar.c
OBJS = main.o input.o output.o list.o \
	parse.o action.o chartype.o text.o req.o setget.o \
	units.o environ.o macfile.o xchar.o

all:: troffcvt

help_aux::
	@echo "'make "troffcvt"' to "build troffcvt
troffcvt: $(OBJS) $(DEPLIBS)
	$(RM) $@
	$(CC) -o $@ $(OBJS) $(LDOPTS) $(LIBS) $(EXTRA_LDLIBS)

clean::
	$(RM) troffcvt

lint:: lint.troffcvt
lint.troffcvt:
	$(LINT) $(LINTFLAGS) $(SRCS) $(LINTLIBS)

help_aux::
	@echo "'make "lint.troffcvt"' to "lint sources for troffcvt

install:: i.troffcvt

help_aux::
	@echo "'make "i.troffcvt"' to "install troffcvt
i.troffcvt:: troffcvt
	@if [ -d $(LOCALBINDIR) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(LOCALBINDIR)); fi
	$(INSTALL) $(INSTPROGFLAGS) troffcvt $(LOCALBINDIR)/troffcvt

install:: i.actions

help_aux::
	@echo "'make "i.actions"' to "install actions
i.actions:: actions
	@if [ -d $(LIBDIR) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(LIBDIR)); fi
	$(INSTALL) $(INSTDATFLAGS) actions $(LIBDIR)/actions

install:: i.actions-html

help_aux::
	@echo "'make "i.actions-html"' to "install actions-html
i.actions-html:: actions-html
	@if [ -d $(LIBDIR) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(LIBDIR)); fi
	$(INSTALL) $(INSTDATFLAGS) actions-html $(LIBDIR)/actions-html

install:: i.tc.man

help_aux::
	@echo "'make "i.tc.man"' to "install tc.man
i.tc.man:: tc.man
	@if [ -d $(LIBDIR) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(LIBDIR)); fi
	$(INSTALL) $(INSTDATFLAGS) tc.man $(LIBDIR)/tc.man

install:: i.tc.man-html

help_aux::
	@echo "'make "i.tc.man-html"' to "install tc.man-html
i.tc.man-html:: tc.man-html
	@if [ -d $(LIBDIR) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(LIBDIR)); fi
	$(INSTALL) $(INSTDATFLAGS) tc.man-html $(LIBDIR)/tc.man-html

install:: i.tc.me

help_aux::

=== examples/simple/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.51 89/12/12 12:37:30 jim Exp $
#
# The cpp used on this machine replaces all newlines and multiple tabs and
# spaces in a macro expansion with a single space.  Imake tries to compensate
# for this, but is not always successful.
#

# -------------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>.
#
# Platform-specific parameters may be set in the appropriate .cf and
# .p-cf configuration files.  Site-wide parameters may be set in the
# files site.def and site.p-def.  Full rebuilds are recommended if
# any parameters are changed.

# -------------------------------------------------------------------------
# site-specific configuration parameters that need to come before the
# platform-specific parameters - edit site.def or site.p-def to change

# site:  Primate Center 89/12/22

# -------------------------------------------------------------------------
# platform-specific configuration parameters specific to this project
# edit sun.p-cf to change

# -------------------------------------------------------------------------
# platform-specific configuration parameters
# edit sun.cf to change

# platform:  sun.cf	93/06/30
# operating system:  SunOS 4.1.1

# -------------------------------------------------------------------------
# site-specific configuration parameters that go after the
# platform-specific parameters - edit site.def or site.p-def to change

# site:  Primate Center 89/12/22

# -------------------------------------------------------------------------
# project-specific system description parameters
# Edit System.p-tmpl to change

# -------------------------------------------------------------------------
# Standard system description parameters
# Edit System.tmpl to change

# -------------------------------------------------------------------------
# definitions common to all Makefiles

          PATHSEP = /

            SHELL = /bin/sh

  VARARGS_DEFINES = -DVARARGS

              TOP = .
      CURRENT_DIR = .

           BINDIR = /usr/local
        USRLIBDIR = /usr/lib
           TMPDIR = /tmp
           ADMDIR = /usr/adm
           ETCDIR = /usr/etc

      INCLUDEROOT = /usr/include

          MANROOT = /usr/man
    MANSOURCEPATH = $(MANROOT)/man
       MAN1SUFFIX = 1
       MAN2SUFFIX = 2
       MAN3SUFFIX = 3
       MAN4SUFFIX = 4
       MAN5SUFFIX = 5
       MAN6SUFFIX = 6
       MAN7SUFFIX = 7
       MAN8SUFFIX = 8
       MANLSUFFIX = l
       MANNSUFFIX = n
        MANSUFFIX = $(MANLSUFFIX)
          MAN1DIR = $(MANSOURCEPATH)$(MAN1SUFFIX)
          MAN2DIR = $(MANSOURCEPATH)$(MAN2SUFFIX)
          MAN3DIR = $(MANSOURCEPATH)$(MAN3SUFFIX)
          MAN4DIR = $(MANSOURCEPATH)$(MAN4SUFFIX)
          MAN5DIR = $(MANSOURCEPATH)$(MAN5SUFFIX)
          MAN6DIR = $(MANSOURCEPATH)$(MAN6SUFFIX)
          MAN7DIR = $(MANSOURCEPATH)$(MAN7SUFFIX)
          MAN8DIR = $(MANSOURCEPATH)$(MAN8SUFFIX)
          MANLDIR = $(MANSOURCEPATH)$(MANLSUFFIX)
          MANNDIR = $(MANSOURCEPATH)$(MANNSUFFIX)
           MANDIR = $(MANSOURCEPATH)$(MANSUFFIX)

  BOOTSTRAPCFLAGS =
            IMAKE = imake
           IMBOOT = imboot
           DEPEND = makedepend
             MSUB = msub
        MKDIRHIER = mkdirhier

               AR = ar clq
               CC = cc
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = cc -E $(STD_CPP_DEFINES)
               LD = ld
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
         LINTLIBS =
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp
              CMP = cmp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
             TAGS = ctags
             PERL = perl
         PERLPATH = /usr/local/perl

     STD_INCLUDES =
  STD_CPP_DEFINES = StandardCppDefines
      STD_DEFINES =
 EXTRA_LOAD_FLAGS =
  EXTRA_LIBRARIES =
      ALLINCLUDES = $(INCLUDES) $(PROJECT_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(PROJECT_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES)
           LDLIBS = $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)

      CDEBUGFLAGS = -O
        CCOPTIONS =

           RM_CMD = $(RM) *.CKP *.ln *.BAK *.bak *.o core errs ,* *.a .emacs_* tags TAGS make.log MakeOut

          INSTALL = install
        INSTSTRIP = -s
     INSTPROGMODE = -m 0755
  INSTUIDPROGMODE = -m 04755
  INSTGIDPROGMODE = -m 02755
 INSTUGIDPROGMODE = -m 06755
   INSTSCRIPTMODE = -m 0755
      INSTLIBMODE = -m 0444
      INSTDATMODE = -m 0444
      INSTMANMODE = -m 0444
      INSTINCMODE = -m 0444
        INSTOWNER =
        INSTGROUP =
    INSTPROGFLAGS = $(INSTOWNER) $(INSTGROUP) $(INSTPROGMODE) $(INSTSTRIP)
 INSTUIDPROGFLAGS = $(INSTOWNER) $(INSTGROUP) $(INSTUIDPROGMODE) $(INSTSTRIP)
 INSTGIDPROGFLAGS = $(INSTOWNER) $(INSTGROUP) $(INSTGIDPROGMODE) $(INSTSTRIP)
INSTUGIDPROGFLAGS = $(INSTOWNER) $(INSTGROUP) $(INSTUGIDPROGMODE) $(INSTSTRIP)
  INSTSCRIPTFLAGS = $(INSTOWNER) $(INSTGROUP) $(INSTSCRIPTMODE)
     INSTLIBFLAGS = $(INSTOWNER) $(INSTGROUP) $(INSTLIBMODE)
     INSTDATFLAGS = $(INSTOWNER) $(INSTGROUP) $(INSTDATMODE)
     INSTMANFLAGS = $(INSTOWNER) $(INSTGROUP) $(INSTMANMODE)
     INSTINCFLAGS = $(INSTOWNER) $(INSTGROUP) $(INSTINCMODE)

           SOELIM = soelim
            TROFF = groff
            NROFF = nroff
              TBL = gtbl
              EQN = geqn
             NEQN = neqn
              PIC = pic
        MANMACROS = -man
         MEMACROS = -me
         MMMACROS = -mm
         MSMACROS = -ms

# -------------------------------------------------------------------------
# project-specific configuration parameters
# Edit Project.p-tmpl to change

###########################################################################
# project-specific project group configuration parameters

###########################################################################
# Section 1.  Cpp symbols

# Project identfication - name and release level

# Project-specific system characteristics

# Project-specific system directories and file locations

# Project-specific include file directories

# Configuration tools (files and directories)

# Extra commands required

# Extra libraries required

###########################################################################
# Section 2.  Makefile symbols; needs to be coordinated with Imake.tmpl

# Project identfication - name and release level

# Project-specific system characteristics

# Project-specific system directories and file locations

# Project-specific include file directories

# Configuration tools (files and directories)

# Extra commands required

# Extra libraries required

# -------------------------------------------------------------------------
# Standard project configuration parameters
# Edit Project.tmpl to change

# Configuration group identification - name and version

         CONFIGNAME = WRPRC2
      CONFIGROOTDIR = $(USRLIBDIR)/config
       PUBCONFIGDIR = $(CONFIGROOTDIR)/$(CONFIGNAME)
 CONFIGMAJORRELEASE = 2
 CONFIGMINORRELEASE = 00
      CONFIGRELEASE = $(CONFIGMAJORRELEASE).$(CONFIGMINORRELEASE)

# Project identfication - name and release level

      PRIVCONFIGDIR = $(TOP)/config

        PROJECTNAME = no-project-name
PROJECTMAJORRELEASE = 0
PROJECTMINORRELEASE = 00
     PROJECTRELEASE = $(PROJECTMAJORRELEASE).$(PROJECTMINORRELEASE)

# Important local programs

              FIGEN = figen

# Library link and dependency specifiers

        BIBSTUFFLIB = -lbibstuff
     DEPBIBSTUFFLIB =
             ETMLIB = -letm
          DEPETMLIB =
             FPLLIB = -lfpl
          DEPFPLLIB =
             FQLLIB = -lfql
          DEPFQLLIB =
           GECOSLIB = -lgecos
        DEPGECOSLIB =
          LOGMGRLIB = -llogmgr
       DEPLOGMGRLIB =
          MEMMGRLIB = -lmemmgr
       DEPMEMMGRLIB =
             NDSLIB = -lnds
          DEPNDSLIB =
             NIOLIB = -lnio
          DEPNIOLIB =
           ORDERLIB = -lorder
        DEPORDERLIB =
          SEQNUMLIB = -lseqnum
       DEPSEQNUMLIB =
          SIMSCRLIB = -lsimscr
       DEPSIMSCRLIB =
              TSLIB = -ltokenscan
           DEPTSLIB =

# Project-specific include file directories, definitions, and libraries

         INCLUDESRC = .
LOCALINCLUDEINSTALLDIR = $(INCLUDEROOT)/local
   PROJECT_INCLUDES = -I$(INCLUDESRC) -I$(LOCALINCLUDEINSTALLDIR)
    PROJECT_DEFINES =

# Makefile-generating commands and parameters

     IMBOOT_DEFINES =
      IMAKE_DEFINES =
          MACROFILE = sun.cf

          IMAKE_CMD = $(IMAKE) -I$(NEWTOP)$(PRIVCONFIGDIR) -I$(PUBCONFIGDIR) \
			$(IMAKE_DEFINES)

         IMBOOT_CMD = $(IMBOOT) -C $(CONFIGNAME) $(IMBOOT_DEFINES)

# -------------------------------------------------------------------------
# Project-specific imake rules
# Edit Imake.p-rules to change

# -------------------------------------------------------------------------
# Standard imake rules
# Edit Imake.rules to change

# -------------------------------------------------------------------------
# start of Imakefile

#	Simple Imakefile

#	"imboot -C WRPRC2" to build the Makefile.
#	If there's already a Makefile, you can use "make Bootstrap".

 SRCS = fakeprog.c
 OBJS = fakeprog.o

all:: fakeprog
fakeprog: $(OBJS)
	$(RM) $@
	$(CC) -o $@ $(OBJS) $(LDOPTS)  $(LDLIBS)

clean::
	$(RM) fakeprog

lint:: lint.fakeprog
lint.fakeprog:
	$(LINT) $(LINTFLAGS) $(SRCS) $(LINTLIBS)

install:: i.fakeprog
i.fakeprog:: fakeprog
	@if [ -d $(BINDIR) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(BINDIR)); fi
	$(INSTALL) -c $(INSTPROGFLAGS) fakeprog $(BINDIR)/fakeprog

install.man:: i.fakeprog.man
i.fakeprog.man:: fakeprog.man
	@if [ -d $(MANDIR) ]; then set +x; \
	else (set -x; $(MKDIRHIER) $(MANDIR)); fi
	$(INSTALL) -c $(INSTMANFLAGS) fakeprog.man $(MANDIR)/fakeprog.$(MANSUFFIX)

depend::
	$(DEPEND) -s "# DO NOT DELETE" -- $(ALLDEFINES) -- $(SRCS)

# -------------------------------------------------------------------------
# common rules for all Makefiles

emptyrule::

clean::
	$(RM_CMD) \#*

tags::
	$(TAGS) -w *.[ch]
	$(TAGS) -xw *.[ch] > TAGS

Makefile::
	-@if [ -f Makefile ]; then \
	echo "	$(RM) Makefile.bak; $(MV) Makefile Makefile.bak"; \
	$(RM) Makefile.bak; $(MV) Makefile Makefile.bak; \
	else exit 0; fi
	$(IMAKE_CMD) -DTOPDIR=$(TOP) -DCURDIR=$(CURRENT_DIR)

Bootstrap::
	$(IMBOOT_CMD) $(TOP) $(CURRENT_DIR)

help::
	@echo "'make all' to make everything"
	@echo "'make target' to make a single target"
	@echo "'make depend' to generate header file dependencies"
	@echo "'make install' to install everything (except manual pages)"
	@echo "'make install.man' to install all manual pages"
	@echo "'make i.target' to install a single target"
	@echo "'make lint' to lint source files"
	@echo "'make lint.target' to lint source files for a single target"
	@echo "'make clean' to clean up"

# -------------------------------------------------------------------------
# empty rules for directories that do not have SUBDIRS

all::
depend::
lint::

install::
	@echo "install in $(CURRENT_DIR) done"

install.man::
	@echo "install.man in $(CURRENT_DIR) done"

Makefiles::

# -------------------------------------------------------------------------
# dependencies generated by makedepend

=== debian/changelog ===
troffcvt (1.04+repack1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dpkg-dev.
    + troffcvt: Drop versioned constraint on debianutils and groff in Depends.

  [ Colin Watson ]
  * Repackage using multiple upstream tarballs; split up patches.
  * Remove undefined macros from manual pages (closes: #679150).

 -- Colin Watson <cjwatson@debian.org>  Fri, 16 Dec 2022 23:10:34 +0000

troffcvt (1.04-26) unstable; urgency=medium

  [ Logan Rosen ]
  * patches/WRPRC-2.11.diff: Change ar command to use cq instead of clq to
    fix compatibility with binutils 2.36 (closes: #983264).

 -- Colin Watson <cjwatson@debian.org>  Tue, 24 May 2022 23:01:30 +0100

troffcvt (1.04-25) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces

  [ Debian Janitor ]
  * Drop no longer supported add-log-mailing-address setting from
    debian/changelog.
  * Bump debhelper from deprecated 7 to 12.
  * Set debhelper-compat version in Build-Depends.

 -- Colin Watson <cjwatson@debian.org>  Mon, 08 Feb 2021 21:45:52 +0000

troffcvt (1.04-24) unstable; urgency=medium

  * Switch to git; adjust Vcs-* fields.
  * Expand out the canned "build-easy-library" recipe in debian/rules; the
    use of a nested canned recipe doesn't seem to work with recent versions
    of GNU make (closes: #894563).
  * Change priority to optional, since "Priority: extra" is now deprecated.

 -- Colin Watson <cjwatson@debian.org>  Sun, 01 Apr 2018 23:43:17 +0100

troffcvt (1.04-23) unstable; urgency=medium

  * Depend on perl, not perl5 (thanks, Dominic Hargreaves; closes: #808324).

 -- Colin Watson <cjwatson@debian.org>  Fri, 18 Dec 2015 16:57:36 +0000

troffcvt (1.04-22) unstable; urgency=low

  * Add a Homepage field.
  * Simplify debian/rules using /usr/share/dpkg/buildflags.mk.
  * Use "find -perm /111" rather than "find -perm +111" (closes: #803018).

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Oct 2015 11:45:05 +0000

troffcvt (1.04-21) unstable; urgency=low

  * Use dpkg-buildflags to enable hardening options.
  * Build-depend on groff for the -ms macros.

 -- Colin Watson <cjwatson@debian.org>  Fri, 22 Jun 2012 14:34:34 +0100

troffcvt (1.04-20) unstable; urgency=low

  * Update Vcs-Bzr field for Alioth changes.
  * Add build-arch and build-indep targets.
  * Add ${misc:Depends}.

 -- Colin Watson <cjwatson@debian.org>  Sat, 12 Nov 2011 12:51:38 +0000

troffcvt (1.04-19) unstable; urgency=low

  * Quote ConfigRootDir in WRPRC-2.11/config/site.def so that words in the
    directory name that happen to correspond to imake definitions aren't
    expanded.  Should fix current build failures on kfreebsd-i386 and sparc.

 -- Colin Watson <cjwatson@debian.org>  Sat, 20 Feb 2010 23:40:54 +0000

troffcvt (1.04-18) unstable; urgency=low

  * Upgrade to debhelper v7.

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Sep 2009 02:09:51 +0100

troffcvt (1.04-17) unstable; urgency=low

  * Add a debian/rules patch target.
  * Add debian/README.source explaining our (messy) source package handling.
  * Imported into a branch on bzr.debian.org; add Vcs-Bzr control field.
  * Build-depend on xutils-dev (for makedepend and imake) rather than the
    obsolete xutils (closes: #485223).

 -- Colin Watson <cjwatson@debian.org>  Fri, 05 Sep 2008 17:40:11 +0100

troffcvt (1.04-16) unstable; urgency=low

  * patches/WRPRC-2.11.diff:
    - Don't strip binaries on 'make install'; let dh_strip do that according
      to DEB_BUILD_OPTIONS (closes: #438221).
  * Use debhelper v4.
  * patches/troffcvt-1.04.diff:
    - Always include <string.h> (I don't know how to fix the Imake
      configuration to detect it properly ...).
    - Remove contents of troffcvt-1.04/config/linux-pmac.p-cf, which serve
      only to interfere with our attempts to set groff's macro path
      correctly on powerpc.
    - Fix handling of tbl separator characters that also happen to be Perl
      regex metacharacters (thanks, Lars Helgeland; closes: #255132).
  * Correct tc2text(1) to talk about unroff rather than troff2text, though
    also create troff2text as a convenience symlink (closes: #397079).

 -- Colin Watson <cjwatson@debian.org>  Sun, 19 Aug 2007 11:28:12 +0100

troffcvt (1.04-15) unstable; urgency=low

  * Tweak short description for lintian's benefit.
  * Build msub with debugging symbols.
  * patches/msub-1.13.diff: Include <stdlib.h>, <string.h>, and <unistd.h>
    in msub.c rather than the incomplete list of manual prototypes. This
    seems to get rid of valgrind's complaints, so I think should fix the
    reported segfault; if it doesn't, please reopen (closes: #173010).
  * Policy version 3.5.6. Still need to sort out how to compile everything
    with debugging symbols in order to comply with later versions.

 -- Colin Watson <cjwatson@debian.org>  Sat, 14 Dec 2002 17:12:03 +0000

troffcvt (1.04-14) unstable; urgency=low

  * patches/troffcvt-1.04.diff: OK, so I should have better thought out how
    to handle groff's versioned library directory. Use 1.17.1-1's new
    'current' symlink.
  * debian/control: Bump groff dependency to >= 1.17.1-1.

 -- Colin Watson <cjwatson@debian.org>  Sat, 23 Jun 2001 01:47:19 +0100

troffcvt (1.04-13) unstable; urgency=low

  * New maintainer (closes: #100267).
  * Modernize packaging somewhat. Moved debian/mk-binary into debian/rules.
  * Compress all upstream changelogs and link the latest to changelog.gz.
  * 'set -e' all over the place so that I know when things fail.
  * patches/troffcvt-1.04.diff:
    - Change <sys/time.h> to <time.h> so that it builds (closes: #100643).
    - Cope with groff 1.17's macro file name changes (versioned macro
      directory, tmac.* -> *.tmac). Depend on groff (>= 1.17) as a result.

 -- Colin Watson <cjwatson@debian.org>  Wed, 13 Jun 2001 01:49:16 +0100

troffcvt (1.04-12) unstable; urgency=low



=== debian/control ===
Source: troffcvt
Section: text
Priority: optional
Maintainer: Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper-compat (= 12), groff, xutils-dev
Standards-Version: 3.5.6
Homepage: http://www.snake.net/software/troffcvt/
Vcs-Git: https://salsa.debian.org/debian/troffcvt.git
Vcs-Browser: https://salsa.debian.org/debian/troffcvt

Package: troffcvt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, perl, groff
Description: Converts troff source to HTML, RTF, and plain text
 Use this package to convert manuals and manpages and other documents
 written using troff to more manageable formats, such as HTML, RTF,
 or plain text.

=== debian/rules ===
#! /usr/bin/make -f
#
# debian/rules file - for troffcvt.
#
# Copyright 1996, 1997 by Ben Pfaff.
# Copyright 2001-2022 by Colin Watson.
# Original Makefile by Ian Jackson.
#
# This Makefile is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This Makefile is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

export package=troffcvt

# It's really not a good idea to hard-code this, but we're guaranteed
# a FSSTND filesystem under Debian GNU/Linux so we might as well take
# advantage of it.  NOTE: Our utilities must come before /usr/bin,
# otherwise if the package is already installed there may be
# interference.
export PATH=$(CURDIR)/debian/build:/bin:/usr/bin:/usr/bin/X11

export TROFFCVT_LIB_DIR=$(CURDIR)/debian/troffcvt/usr/share/troffcvt

docdir=usr/share/doc/$(package)

# Most packages depend on these tools.
tools = debian/build/_x_ imboot/_b_ msub/_b_ WRPRC/_b_

include /usr/share/dpkg/buildflags.mk

#
# Main targets
#

build-indep:

build-arch:
	dh_testdir
	$(MAKE) -f debian/rules _b_
	touch $@

build: build-indep build-arch

clean:
	dh_testdir
	# Exclude several files that are part of upstream tarballs.
	dh_clean \
		-XWRPRC/config/Imake.rules~ \
		-XWRPRC/config/hp.cf.orig \
		-Xpost/rtf-fonts.orig \
		-Xtblcvt/tblcvt.pl~

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Install into debian/troffcvt.
	make install install.man \
		LIBDIR=$(CURDIR)/debian/troffcvt/usr/share/troffcvt \
		USRLIBDIR=$(CURDIR)/debian/troffcvt/usr/share/troffcvt \
		LOCALROOTDIR=$(CURDIR)/debian/troffcvt/usr \
		MANROOT=$(CURDIR)/debian/troffcvt/usr/share/man \

	# Convert documentation to HTML.
	(cd doc; \
	for d in *.ms; do \
	    soelim $$d | tblcvt | troff2html -ms tmac.wrprc -a tc.wrprc-html - \
		> ../debian/troffcvt/usr/share/doc/$(package)/`echo $$d | sed -e 's/\.ms/\.html/'`; \
	done)

binary-indep:	build
# There are no architecture-independent files.

binary-arch:	build install debian/docs
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress $(docdir)/Changes-1.01 $(docdir)/Changes-1.02 \
		    $(docdir)/Changes-1.03 $(docdir)/Changes-1.04
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

#
# Miscellaneous
#

binary:		binary-indep binary-arch


.PHONY: binary binary-arch binary-indep install clean

#
# Build targets.
#
define build-link-farm
set -e; \
file_list=`find subdir -name \*.[ah] -o -perm /111 -a -type f`; \
for d in $$file_list; do \
	ln -sf ../../$$d debian/build/; \
done
endef

debian/build/_x_:
	mkdir -p debian/build
	touch $@

imboot/_b_: debian/build/_x_
	sed imboot/imboot.pl > debian/build/imboot \
		-e "s#\$$(PERLPATH)#`which perl`#" \
		-e "s#\$$(CONFIGROOTDIR)#`pwd`/config#"
	chmod a+x debian/build/imboot
	touch imboot/_b_

msub/_b_: debian/build/_x_ imboot/_b_
	gcc $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) msub/msub.c -o debian/build/msub
	touch msub/_b_

WRPRC/_b_: debian/build/_x_ msub/_b_
	sed WRPRC/config/site.def > WRPRC/config/site.def.temp \
		-e "s%^#define ConfigRootDir .*\$$%#define ConfigRootDir \"`pwd`/config\"%"
	mv WRPRC/config/site.def.temp WRPRC/config/site.def
	(set -e; cd WRPRC; make World; make install)
	touch WRPRC/_b_

portlib/_b_: $(tools)
	make -C portlib World \
		INCLUDES="-I $(CURDIR)/debian/build" \
		CCOPTIONS="$(CPPFLAGS) $(CFLAGS)" \
		LDFLAGS="$(LDFLAGS) -L $(CURDIR)/debian/build"
	$(build-link-farm:subdir=portlib)
	touch $@

etm/_b_: $(tools)
	make -C etm World \
		INCLUDES="-I $(CURDIR)/debian/build" \
		CCOPTIONS="$(CPPFLAGS) $(CFLAGS)" \
		LDFLAGS="$(LDFLAGS) -L $(CURDIR)/debian/build"
	$(build-link-farm:subdir=etm)
	touch $@

tokenscan/_b_: $(tools)
	make -C tokenscan World \
		INCLUDES="-I $(CURDIR)/debian/build" \
		CCOPTIONS="$(CPPFLAGS) $(CFLAGS)" \
		LDFLAGS="$(LDFLAGS) -L $(CURDIR)/debian/build"
	$(build-link-farm:subdir=tokenscan)
	touch $@

memmgr/_b_: $(tools)
	make -C memmgr World \
		INCLUDES="-I $(CURDIR)/debian/build" \
		CCOPTIONS="$(CPPFLAGS) $(CFLAGS)" \
		LDFLAGS="$(LDFLAGS) -L $(CURDIR)/debian/build"
	$(build-link-farm:subdir=memmgr)
	touch $@

_b_: portlib/_b_ etm/_b_ tokenscan/_b_ memmgr/_b_
	make World \
		INCLUDES="-I $(CURDIR)/debian/build" \
		CCOPTIONS="$(CPPFLAGS) $(CFLAGS)" \
		LDFLAGS="$(LDFLAGS) -L $(CURDIR)/debian/build"
	$(build-link-farm:subdir=troffcvt)
	$(build-link-farm:subdir=tblcvt)
	$(build-link-farm:subdir=post)
	touch $@

# Local Variables:
# mode:makefile
# End:
